# Reset tutorial

# Eliminate old entities
tp @e[tag=tutorial,family=!tut_module] ~ 0 ~
event entity @e[tag=tutorial,family=!tut_module] despawn

# Misc placeholder cleanup
fill -96 46 -186 -82 53 -76 air replace birch_standing_sign
fill -96 46 -186 -82 53 -76 air replace birch_wall_sign

fill -93 46 -87 -85 53 -79 air replace gold_block

# Walls
fill -87 48 -105 -87 49 -103 barrier
fill -91 48 -105 -91 49 -103 barrier
fill -91 48 -105 -91 49 -103 barrier
fill -91 48 -123 -91 49 -121 barrier
fill -87 48 -141 -87 49 -139 barrier
fill -91 48 -141 -91 49 -139 barrier
fill -91 48 -159 -91 49 -157 barrier
fill -87 48 -159 -87 49 -157 barrier
fill -91 48 -175 -91 49 -177 barrier
fill -87 48 -175 -87 49 -177 barrier
fill -87 48 -186 -91 52 -186 barrier

# Walls to contain people in the movement tutorial
fill -90 0 -101 -89 0 -101 border_block
fill -89 0 -99 -88 0 -99 border_block
fill -90 0 -97 -89 0 -97 border_block
fill -89 0 -95 -88 0 -95 border_block

# Billboard
fill -90 48 -88 -88 50 -88 air

#structure save board_tut -90 48 -88 -88 49 -88 false disk true
structure load board_tut -90 48 -88

# Skybox
summon rwm:skysphere -89 48 -131

# Look slabs
fill -90 48 -84 -88 48 -82 stone_block_slab3["stone_slab_type_3"="polished_andesite"] replace structure_void

# Walls for jump tutorial (missing for some reason?)
fill -93 47 -137 -92 51 -125 stained_glass["color"="black"]
fill -85 47 -137 -86 51 -125 stained_glass["color"="black"]

## Place Tutorial
#structure save 01place_boardk -93 47 -147 -91 48 -147 false disk true
#structure save 01place_boardt -93 47 -147 -91 48 -147 false disk true
#structure save 01place -94 46 -154 -84 53 -143 false disk true
structure load 01place -94 46 -154
fill -90 0 -147 -88 0 -146 air
fill -90 0 -154 -88 0 -151 air
# This has to be a border_block to account for new builds and that one Amulet bug
fill -90 0 -155 -88 0 -154 border_block
fill -94 0 -147 -84 0 -147 border_block

## Break Tutorial
#fill -90 0 -169 -88 0 -169 allow
#fill -90 0 -173 -88 0 -173 allow
fill -90 0 -169 -88 0 -169 air
fill -90 0 -173 -88 0 -173 air
fill -90 48 -169 -88 50 -169 stained_glass["color"="red"]
fill -90 48 -173 -88 50 -173 stained_glass["color"="red"]
fill -90 46 -169 -88 47 -169 gold_block
fill -90 46 -173 -88 47 -173 gold_block

# Disable tut modules
tag @e[family=tut_module] remove active

# Reset tut scoreboards
scoreboard players reset @e state
scoreboard players reset @e tick

## NPCs
execute positioned -87 47 -146 run summon rwm:npc ~~~ 0 ~ robot
execute positioned -87 47 -146 run tag @e[r=0] add place_npc1
execute positioned -92 49 -149 run summon rwm:npc ~~~ -90 ~ robot
execute positioned -92 49 -149 run tag @e[r=0] add place_npc2
execute positioned -91 49 -164 run summon rwm:npc ~~~ -90 ~ robot
execute positioned -91 49 -164 run tag @e[r=0] add break_npc

# Tag new entities
tag @e[type=!player,family=!dialogue,x=-96,y=46,z=-186,dx=14,dy=7,dz=110] add tutorial