## Seq for 0-0 (old title screen)

# Camera control
#execute if score .seat global matches 1 run ride @s start_riding @e[tag=scene0,tag=seat1]

# Fade out
execute if score .seq global matches 00 run scoreboard players set .seq2 global 0
execute if score .seq global matches 00 run fog @s remove heck
execute if score .seq global matches 00 run scoreboard players add .seq global 1

execute if score .seq global matches 01 run function trans/fade_out

## Load scene0
execute if score .seq global matches 02 run tp 166 72 -215 -40 5
execute if score .seq global matches 02 run tickingarea remove_all
execute if score .seq global matches 02 run tickingarea add 162 69 -225 184 79 -205 scene0
execute if score .seq global matches 02 run schedule on_area_loaded add tickingarea scene0 loops/continue
execute if score .seq global matches 02 run function cont_camera
execute if score .seq global matches 02 run scoreboard players set .seat global 1
execute if score .seq global matches 02 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 10 run function reset/scene0
execute if score .seq global matches 10 run fill 168 72 -213 168 72 -212 air
execute if score .seq global matches 10 run time set midnight
execute if score .seq global matches 10 run fill 162 69 -225 184 79 -205 light_block["block_light_level"=0] replace light_block

# Fade in
execute if score .seq global matches 20 run function trans/fade_in
execute if score .seq global matches 20 run ride @s start_riding @e[tag=scene0,tag=seat1]

# Prep for obj
execute if score .seq global matches 49 run scoreboard players set @e[tag=scene0,tag=seat1] anim 0
execute if score .seq global matches 49 run event entity @e[type=rwm:invis_interact,tag=scene0] activate
execute if score .seq global matches 49 run tp @e[type=rwm:invis_interact,tag=scene0] @s
execute if score .seq global matches 49 run inputpermission set @s movement enabled

# OBJ: Press The Any Key
execute if score .seq global matches 50 run scoreboard players set .run global 0
execute if score .seq global matches 50 run inputpermission set @s[tag=!dev] camera disabled
execute if score .seq global matches 50 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.00.1","with": ["\n"]}]}
execute if score .seq global matches 50 unless entity @s[x=166,y=71,z=-215,dx=0,dy=0,dz=0] run scoreboard players add .seq global 1

# Camera anim
execute if score .seq global matches 50..152 run scoreboard players add @e[tag=scene0,tag=seat1] anim 1
execute if score .seq global matches 50..152 if entity @e[tag=scene0,tag=seat1,scores={anim=01}] run playanimation @e[type=rwm:player_bed] sleeping
execute if score .seq global matches 50..152 as @e[tag=scene0,tag=seat1,scores={anim=01..10}] at @s run tp ~ ~.002 ~
execute if score .seq global matches 50..152 as @e[tag=scene0,tag=seat1,scores={anim=11..30}] at @s run tp ~ ~.005 ~
execute if score .seq global matches 50..152 as @e[tag=scene0,tag=seat1,scores={anim=31..40}] at @s run tp ~ ~.002 ~
execute if score .seq global matches 50..152 as @e[tag=scene0,tag=seat1,scores={anim=41..50}] at @s run tp ~ ~-.002 ~
execute if score .seq global matches 50..152 as @e[tag=scene0,tag=seat1,scores={anim=51..70}] at @s run tp ~ ~-.005 ~
execute if score .seq global matches 50..152 as @e[tag=scene0,tag=seat1,scores={anim=71..80}] at @s run tp ~ ~-.002 ~
execute if score .seq global matches 50..152 run scoreboard players set @e[tag=scene0,tag=seat1,scores={anim=81..}] anim 0

# Fade out
#execute if score .seq global matches 51 run function trans/quick

# Next act
# Skip to 02 due to rearrangement
execute if score .seq global matches 51 run scoreboard players set .act global 02
execute if score .seq global matches 51 run function loops/new_act