## Seq for 0-1

# Tutorial loop
function tut/loop

# Skybox tracking (riding the player makes it act weird)
tp @e[type=rwm:skysphere,tag=tutorial] ~ ~1 ~

## Load tutorial
execute if score .seq global matches 00 run fog @s remove heck
execute if score .seq global matches 00 run fog @s push rwm:heck heck
execute if score .seq global matches 00 run function trans/quick
execute if score .seq global matches 00 run function cont_fade
execute if score .seq global matches 00 run tp -89 48 -83 180 0
execute if score .seq global matches 00 run tickingarea remove_all
execute if score .seq global matches 00 run tickingarea add -96 46 -186 -82 53 -76 tutorial
execute if score .seq global matches 00 run schedule on_area_loaded add tickingarea tutorial loops/continue
execute if score .seq global matches 00 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 10 run function reset/tutorial

# Swap Dialogues
execute if score .seq global matches 30 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 30 run summon rwm:dialogue_npc ~~~~~ robot robot

# Dialogue 1
execute if score .seq global matches 40 run scoreboard players set .run global 0
execute if score .seq global matches 40 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue] robot.01.1a

# Skip tutorial
execute if score .seq global matches 41 run scoreboard players set .act global 02
execute if score .seq global matches 41 run function loops/new_act

# Look tutorial prep
execute if score .seq global matches 42..45 run inputpermission set @s[tag=!dev] movement disabled
execute if score .seq global matches 42 run function cont_player
execute if score .seq global matches 42 run inputpermission set @s camera enabled
execute if score .seq global matches 42 run function trans/fade_in
execute if score .seq global matches 42 run scoreboard players add .seq global 1

# Dialogue 2
execute if score .seq global matches 43 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=!touch] robot.01.2a.k
execute if score .seq global matches 43 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=touch]  robot.01.2a.t

# Start look tutorial
execute if score .seq global matches 44 run function tut/look/start
execute if score .seq global matches 44 run scoreboard players add .seq global 1

# OBJ: Look Tutorial (actionbar handled by tut module)

# Dialogue 3
execute if score .seq global matches 46 run /fill -90 48 -84 -88 48 -82 structure_void replace stone_block_slab3["stone_slab_type_3"="polished_andesite"]
execute if score .seq global matches 46 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue] robot.01.3a

# Start move tutorial
execute if score .seq global matches 47 run playsound random.orb @s
execute if score .seq global matches 47 run fill -90 48 -88 -88 50 -88 air destroy
execute if score .seq global matches 47 run inputpermission set @s movement enabled
execute if score .seq global matches 47 run function tut/move/start
execute if score .seq global matches 47 run scoreboard players add .seq global 1

# OBJ: Move Tutorial (actionbar handled by tut module)

# Start adv move tutorial
execute if score .seq global matches 49 run playsound random.orb @s
execute if score .seq global matches 49 run function tut/adv_move/start
execute if score .seq global matches 49 run scoreboard players add .seq global 1

# OBJ: Adv Move Tutorial (actionbar handled by tut module)

# Dialogue 5
execute if score .seq global matches 51 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=!touch] robot.01.5a.k
execute if score .seq global matches 51 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=touch]  robot.01.5a.t

# Start jump tutorial
execute if score .seq global matches 52 run playsound random.orb @s
execute if score .seq global matches 52 run function tut/jump/start
execute if score .seq global matches 52 run scoreboard players add .seq global 1

# OBJ: Jump Tutorial (actionbar handled by tut module)

# Dialogue 6
execute if score .seq global matches 54 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=!touch] robot.01.6a.k
execute if score .seq global matches 54 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=touch]  robot.01.6a.t

# Prep NPC 1
execute if score .seq global matches 55 if entity @s[tag=!touch] run structure load 01place_boardk -93 47 -147
execute if score .seq global matches 55 if entity @s[tag=touch]  run structure load 01place_boardt -93 47 -147
execute if score .seq global matches 55 run event entity @e[tag=tutorial,tag=place_npc1] activate
execute if score .seq global matches 55 run event entity @e[tag=tutorial,tag=place_npc2] activate
execute if score .seq global matches 55 run scoreboard players add .seq global 1

# OBJ: Interact with NPC 1
execute if score .seq global matches 56 if score .slowcount global matches 1000 at @e[tag=tutorial,tag=place_npc1] run particle rwm:interact_offset ~ ~1.5 ~
execute if score .seq global matches 56 run titleraw @s[tag=!touch] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.01.1.k","with": ["\n"]}]}
execute if score .seq global matches 56 run titleraw @s[tag=touch]  actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.01.1.t","with": ["\n"]}]}

# Dialogue 7
execute if score .seq global matches 57 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=!touch] robot.01.7a.k
execute if score .seq global matches 57 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=touch]  robot.01.7a.t

# Start place tutorial pt1
execute if score .seq global matches 58 run playsound random.orb @s
execute if score .seq global matches 58 run function tut/place/start
execute if score .seq global matches 58 run fill -90 0 -155 -88 0 -155 border_block
execute if score .seq global matches 58 run fill -90 0 -154 -88 0 -154 air
execute if score .seq global matches 58 run fill -94 0 -147 -84 0 -147 air
execute if score .seq global matches 58 run fill -90 0 -147 -88 0 -146 allow
execute if score .seq global matches 58 run scoreboard players add .seq global 1

# OBJ: Place Tutorial (actionbar handled by tut module)
execute if score .seq global matches 59 if entity @s[z=-150,dz=1] run function tut/place/end
execute if score .seq global matches 59 if entity @s[y=35,dy=10] run tp -89 49 -141 180 0

# Prep NPC 2
execute if score .seq global matches 60 run event entity @e[tag=tutorial,tag=place_npc1] deactivate
execute if score .seq global matches 60 run fill -94 0 -147 -84 0 -147 border_block
execute if score .seq global matches 60 run scoreboard players add .seq global 1

# OBJ: Interact with NPC 2
execute if score .seq global matches 61 if score .slowcount global matches 1000 at @e[tag=tutorial,tag=place_npc2] run particle rwm:interact_offset ~ ~1.5 ~
execute if score .seq global matches 61 run titleraw @s[tag=!touch] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.01.1.k","with": ["\n"]}]}
execute if score .seq global matches 61 run titleraw @s[tag=touch]  actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.01.1.t","with": ["\n"]}]}

# Catch players
execute if score .seq global matches 61..64 if entity @s[y=35,dy=10] run tp -89 50 -149 180 0

# Dialogue 8
execute if score .seq global matches 62 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=!touch] robot.01.8a.k
execute if score .seq global matches 62 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=touch]  robot.01.8a.t

# Start place tutorial pt2
execute if score .seq global matches 63 run fill -90 0 -155 -88 0 -155 air
execute if score .seq global matches 63 run playsound random.orb @s
execute if score .seq global matches 63 run function tut/place/start
execute if score .seq global matches 63 run fill -90 0 -154 -88 0 -151 allow
execute if score .seq global matches 63 positioned -89 48 -154 run summon rwm:ghost_block
execute if score .seq global matches 63 positioned -89 48 -154 run tag @e[r=0] add tutorial
execute if score .seq global matches 63 run scoreboard players add .seq global 1

# OBJ: Place Tutorial (actionbar handled by tut module)

# Close off place tutorial
execute if score .seq global matches 65 run event entity @e[tag=tutorial,tag=place_npc1] deactivate
execute if score .seq global matches 65 run fill -90 0 -154 -88 0 -154 border_block
execute if score .seq global matches 65 run clear @s
execute if score .seq global matches 65 run scoreboard players add .seq global 1

# Prep NPC 3
execute if score .seq global matches 66 run event entity @e[tag=tutorial,tag=break_npc] activate
execute if score .seq global matches 66 run scoreboard players add .seq global 1

# OBJ: Interact with NPC 3
execute if score .seq global matches 67 if score .slowcount global matches 1000 at @e[tag=tutorial,tag=break_npc] run particle rwm:interact_offset ~ ~1.5 ~
execute if score .seq global matches 67 run titleraw @s[tag=!touch] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.01.2.k","with": ["\n"]}]}
execute if score .seq global matches 67 run titleraw @s[tag=touch]  actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.01.2.t","with": ["\n"]}]}

# Dialogue 10
execute if score .seq global matches 68 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=!touch] robot.01.10a.k
execute if score .seq global matches 68 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=touch]  robot.01.10a.t

# Start break tutorial
execute if score .seq global matches 69 run playsound random.orb @s
execute if score .seq global matches 69 run function tut/break/start
execute if score .seq global matches 69 run fill -90 0 -169 -88 0 -169 allow
execute if score .seq global matches 69 run fill -90 0 -173 -88 0 -173 allow
execute if score .seq global matches 69 run scoreboard players add .seq global 1

# OBJ: Break Tutorial
execute if score .seq global matches 70.. if entity @s[y=35,dy=10] run tp -89 48 -166 180 0

# Dialogue 11
execute if score .seq global matches 71 run event entity @e[tag=tutorial,tag=break_npc] deactivate
execute if score .seq global matches 71 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=!touch] robot.01.11a.k
execute if score .seq global matches 71 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=touch]  robot.01.11a.t

# Start button tutorial
execute if score .seq global matches 72 run playsound random.orb @s
execute if score .seq global matches 72 run function tut/button/start
execute if score .seq global matches 72 run scoreboard players add .seq global 1

# OBJ: Button Tutorial

# OBJ: Enter Portal
execute if score .seq global matches 74 if entity @s[x=-91,y=47,z=-185,dx=4,dy=4,dz=0] run scoreboard players add .seq global 1
execute if score .seq global matches 74 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.01.3","with": ["\n"]}]}

# Dialogue 12
execute if score .seq global matches 75 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=!touch] robot.01.12a.k
execute if score .seq global matches 75 run dialogue open @e[family=dialogue,c=1,name=robot] @s[tag=!dialogue,tag=touch] robot.01.12a.t

# Next act
execute if score .seq global matches 76 run scoreboard players set .act global 00
execute if score .seq global matches 76 run function loops/new_act