## Seq for 0-2

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

# Opening Title
execute if score .seq global matches 002 run titleraw @s times 20 50 10
execute if score .seq global matches 002 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.02.1","with": ["\n"]}]}
execute if score .seq global matches 002 run titleraw @s title {"rawtext":[{"translate":"title.color.prefix"},{"translate":"title.02.1","with": ["\n"]}]}

## Load scene0
execute if score .seq global matches 002 run tp 167 72 -212 180 0
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add 162 69 -225 184 79 -205 scene0
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea scene0 loops/continue
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run function reset/scene0
execute if score .seq global matches 010 run time set noon
execute if score .seq global matches 010 run fill 162 69 -225 184 79 -205 light_block["block_light_level"=9] replace light_block

# Swap Dialogues
execute if score .seq global matches 080 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 080 run summon rwm:dialogue_agent ~~~~~ agent agent
execute if score .seq global matches 080 run effect @s invisibility 0

# Dialogue 0
execute if score .seq global matches 100 run scoreboard players set .run global 0
execute if score .seq global matches 100 run dialogue open @s @s[tag=!dialogue] player.02.0a

# Resume
execute if score .seq global matches 101 run scoreboard players set .run global 1

# Fade in
execute if score .seq global matches 140 run function trans/fade_in
execute if score .seq global matches 140 run event entity @e[tag=scene0,type=rwm:player_bed] despawn
execute if score .seq global matches 140 run function cont_player

# Activate Laptop
execute if score .seq global matches 160 run event entity @e[type=rwm:library_comp,tag=scene0] activate

# OBJ: Interact with Laptop
execute if score .seq global matches 161 run scoreboard players set .run global 0
execute if score .seq global matches 161 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.02.1","with": ["\n"]}]}
execute if score .seq global matches 161 if score .slowcount global matches 1000 at @e[type=rwm:library_comp,tag=scene0] run particle rwm:interact ~ ~1 ~

# Convert the computer
execute if score .seq global matches 162 run scoreboard players set .run global 1
execute if score .seq global matches 162 run particle rwm:smoke_poof 168 73.5 -219
execute if score .seq global matches 162 run event entity @e[type=rwm:library_comp,tag=scene0] despawn
execute if score .seq global matches 162 positioned 168 73 -219 run summon rwm:fake_agent ~~~ facing @p seeplayer
execute if score .seq global matches 162 positioned 168 73 -219 run tag @e[type=rwm:fake_agent,r=0] add scene0

# Dialogue 1
execute if score .seq global matches 222 run scoreboard players set .run global 0
execute if score .seq global matches 222 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.02.1a

# Next act
execute if score .seq global matches 223 run scoreboard players set .act global 11
execute if score .seq global matches 223 run function loops/new_act