## Seq for 1-1

# Return to pillar
execute if score .seq global matches 020..104 unless entity @s[y=62,dy=20] run tp @s[tag=!dev] -105 65 169

# Skybox tracking (riding the player makes it act weird)
tp @e[type=rwm:skysphere,tag=trans1] ~ ~1 ~

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run fog @s remove heck
execute if score .seq global matches 000 run fog @s push rwm:heck heck
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

## Load trans1
execute if score .seq global matches 002 run tp -105 63 169 0 0
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add -111 0 163 -99 100 190 trans1
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea trans1 loops/continue
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run function reset/trans1

# Swap Dialogues
execute if score .seq global matches 020 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 020 run summon rwm:dialogue_time_agent ~~~~~ agent1 agent1
execute if score .seq global matches 020 run summon rwm:dialogue_agent ~~~~~ agent agent

# Dialogue 1
execute if score .seq global matches 040 run scoreboard players set .run global 0
execute if score .seq global matches 040 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.11.1a

# Resume fade
execute if score .seq global matches 041 run scoreboard players set .run global 1

# Fade in
execute if score .seq global matches 060 run function trans/fade_in

# Dialogue 2
execute if score .seq global matches 100 run scoreboard players set .run global 0
execute if score .seq global matches 100 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.11.2a

# Place ghost
execute if score .seq global matches 101 positioned -105 62 178 run summon rwm:ghost_block
execute if score .seq global matches 101 positioned -105 62 178 run tag @e[r=0] add trans1
execute if score .seq global matches 101 run scoreboard players add .seq global 1

# OBJ: Build a Bridge
execute if score .seq global matches 102 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.11.1","with": ["\n"]}]}

# Replace blocks
execute if score .seq global matches 102 run replaceitem entity @s slot.hotbar 0 rwm:bridge_block 1 0 {"minecraft:can_destroy":{"blocks":["rwm:bridge_block"]},"minecraft:can_place_on":{"blocks":["concrete_powder","concrete","wool","rwm:bridge_block"]},"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute if score .seq global matches 102 run replaceitem entity @s slot.hotbar 1 rwm:bridge_block 1 0 {"minecraft:can_destroy":{"blocks":["rwm:bridge_block"]},"minecraft:can_place_on":{"blocks":["concrete_powder","concrete","wool","rwm:bridge_block"]},"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute if score .seq global matches 102 run replaceitem entity @s slot.hotbar 2 rwm:bridge_block 1 0 {"minecraft:can_destroy":{"blocks":["rwm:bridge_block"]},"minecraft:can_place_on":{"blocks":["concrete_powder","concrete","wool","rwm:bridge_block"]},"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute if score .seq global matches 102 run replaceitem entity @s slot.hotbar 3 rwm:bridge_block 1 0 {"minecraft:can_destroy":{"blocks":["rwm:bridge_block"]},"minecraft:can_place_on":{"blocks":["concrete_powder","concrete","wool","rwm:bridge_block"]},"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute if score .seq global matches 102 run replaceitem entity @s slot.hotbar 4 rwm:bridge_block 1 0 {"minecraft:can_destroy":{"blocks":["rwm:bridge_block"]},"minecraft:can_place_on":{"blocks":["concrete_powder","concrete","wool","rwm:bridge_block"]},"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute if score .seq global matches 102 run replaceitem entity @s slot.hotbar 5 rwm:bridge_block 1 0 {"minecraft:can_destroy":{"blocks":["rwm:bridge_block"]},"minecraft:can_place_on":{"blocks":["concrete_powder","concrete","wool","rwm:bridge_block"]},"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute if score .seq global matches 102 run replaceitem entity @s slot.hotbar 6 rwm:bridge_block 1 0 {"minecraft:can_destroy":{"blocks":["rwm:bridge_block"]},"minecraft:can_place_on":{"blocks":["concrete_powder","concrete","wool","rwm:bridge_block"]},"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute if score .seq global matches 102 run replaceitem entity @s slot.hotbar 7 rwm:bridge_block 1 0 {"minecraft:can_destroy":{"blocks":["rwm:bridge_block"]},"minecraft:can_place_on":{"blocks":["concrete_powder","concrete","wool","rwm:bridge_block"]},"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute if score .seq global matches 102 run replaceitem entity @s slot.hotbar 8 rwm:bridge_block 1 0 {"minecraft:can_destroy":{"blocks":["rwm:bridge_block"]},"minecraft:can_place_on":{"blocks":["concrete_powder","concrete","wool","rwm:bridge_block"]},"minecraft:item_lock":{"mode":"lock_in_slot"}}

# First block particles
execute if score .seq global matches 102 if block -105 62 178 air if score .slowcount global matches 1000 run particle rwm:interact -105 63 177

# Detect completion
execute if score .seq global matches 102 if entity @s[x=-106,y=62,z=183,dx=2,dy=5,dz=2] run scoreboard players add .seq global 1

# Clear blocks, prep for Dialogue 2
execute if score .seq global matches 103 run clear @s
execute if score .seq global matches 103 run scoreboard players add .seq global 1

# Dialogue 3
execute if score .seq global matches 104 run dialogue open @e[family=dialogue,c=1,name=agent1] @s[tag=!dialogue] agent1.11.3a

# Drop 'em
execute if score .seq global matches 105 run scoreboard players set .run global 1
execute if score .seq global matches 105 run fill -104 62 186 -106 62 182 air destroy
execute if score .seq global matches 105 run fill -107 62 185 -103 62 183 air destroy
execute if score .seq global matches 105 run fog @s remove heck
execute if score .seq global matches 105 run fog @s push rwm:heck_short heck

execute if score .seq global matches 131 run tp -105 38 184
execute if score .seq global matches 131 run inputpermission set @s[tag=!dev] movement disabled
execute if score .seq global matches 131 positioned -105 39 184 run summon rwm:dropper_transit 
execute if score .seq global matches 131 positioned -105 39 184 run tag @e[r=0,type=rwm:dropper_transit] add trans1

execute if score .seq global matches 131.. run particle rwm:falling

# Eliminate the sky sphere
execute if score .seq global matches 351 run event entity @e[type=rwm:skysphere,tag=trans1] despawn

# Next act
execute if score .seq global matches 351 run scoreboard players set .act global 12
execute if score .seq global matches 351 run function loops/new_act