## Seq for 1-2

# Temporary agent removal
tp @c[r=5] ~ 0 ~

# Get rid of that darn skysphere once and for all
event entity @e[type=rwm:skysphere,r=100] despawn

# Camera control
execute if score .seat global matches 1 run ride @s start_riding @e[tag=scene1,tag=seat1]

# Teacher randomization
scoreboard players random .random global 1 150
#execute at @e[tag=scene1,type=rwm:target] if entity @e[type=rwm:npc,r=2] if score .random global matches 1 run tp @e[tag=scene1,type=rwm:target] 269.0 73.6 -240.0
execute if score .random global matches 1 run tp @e[tag=scene1,type=rwm:target] 269.0 73.6 -240.0
execute if score .random global matches 2 run tp @e[tag=scene1,type=rwm:target] 269.0 73.6 -234.0
execute if score .random global matches 3 run tp @e[tag=scene1,type=rwm:target] 269.0 73.6 -228.0

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

## Load scene1
execute if score .seq global matches 002 run fog @s remove heck
execute if score .seq global matches 002 run tp 274 72 -236 -60 15
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add 262 69 -246 282 81 -221 scene1
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea scene1 loops/continue
execute if score .seq global matches 002 run function cont_camera
execute if score .seq global matches 002 run scoreboard players set .seat global 1
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run function reset/scene1
execute if score .seq global matches 010 run event entity @e[tag=child,tag=scene1] emoji1

# Swap Dialogues
execute if score .seq global matches 020 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 020 run summon rwm:dialogue_time_agent ~~~~~ agent1 agent1

# Fade in
execute if score .seq global matches 020 run function trans/fade_in

# Dialogue 1
execute if score .seq global matches 040 run scoreboard players set .run global 0
execute if score .seq global matches 040 run dialogue open @e[family=dialogue,c=1,name=agent1] @s[tag=!dialogue] agent1.12.1a

# First run
execute if score .seq global matches 041 run scoreboard players set .run global 1

execute if score .seq global matches 080..89 as @e[tag=scene1,tag=child] at @s run tp ~ ~ ~-.15
execute if score .seq global matches 090..095 as @e[tag=scene1,tag=child1] at @s run tp ~~~ -90 0

execute if score .seq global matches 100 run event entity @e[tag=scene1,type=rwm:smartdispenser] state1
execute if score .seq global matches 193 run summon rwm:lunchtray 277.2 73 -234 90 0
execute if score .seq global matches 193 run tag @e[type=rwm:lunchtray] add scene1
execute if score .seq global matches 193 run event entity @e[tag=scene1,tag=child1] emoji2
execute if score .seq global matches 194 run event entity @e[tag=scene1,type=rwm:smartdispenser] state0

execute if score .seq global matches 214..223 as @e[tag=scene1,tag=child] at @s run tp ~ ~ ~-.15
execute if score .seq global matches 214..223 as @e[tag=scene1,type=rwm:lunchtray] at @s run tp ~ ~ ~-.15
execute if score .seq global matches 224..229 as @e[tag=scene1,tag=child2] at @s run tp ~~~ -90 0

execute if score .seq global matches 234 run event entity @e[tag=scene1,type=rwm:smartdispenser] state1
execute if score .seq global matches 323 run summon rwm:lunchtray 277.2 73 -234 90 0
execute if score .seq global matches 323 run tag @e[type=rwm:lunchtray] add scene1
execute if score .seq global matches 323 run event entity @e[tag=scene1,tag=child2] emoji2
execute if score .seq global matches 328 run event entity @e[tag=scene1,type=rwm:smartdispenser] state0

execute if score .seq global matches 348..357 as @e[tag=scene1,tag=child] at @s run tp ~ ~ ~-.15
execute if score .seq global matches 348..357 as @e[tag=scene1,type=rwm:lunchtray] at @s run tp ~ ~ ~-.15
execute if score .seq global matches 358..363 as @e[tag=scene1,tag=child3] at @s run tp ~~~ -90 0

execute if score .seq global matches 368 run event entity @e[tag=scene1,type=rwm:smartdispenser] state2
execute if score .seq global matches 419 run event entity @e[tag=scene1,type=rwm:smartdispenser] state0
execute if score .seq global matches 419 run event entity @e[tag=scene1,tag=child3] emoji3
execute if score .seq global matches 419 run event entity @e[tag=scene1,tag=child4] emoji3

# Dialogue 2
execute if score .seq global matches 459 run scoreboard players set .run global 0
execute if score .seq global matches 459 run dialogue open @e[family=dialogue,c=1,name=agent1] @s[tag=!dialogue] agent1.12.2a

# Quickfade segment
execute if score .seq global matches 460 run scoreboard players set .run global 1

execute if score .seq global matches 480 run function trans/quick
execute if score .seq global matches 480 run tp @e[tag=scene1,tag=child1] 276 72 -232.0 180 0
execute if score .seq global matches 480 run tp @e[tag=scene1,tag=child2] 276 72 -231 180 0
execute if score .seq global matches 480 run tp @e[tag=scene1,tag=child3] 276 72 -229.0 180 0
execute if score .seq global matches 480 run tp @e[tag=scene1,tag=child4] 276 72 -228 180 0
execute if score .seq global matches 481 run tp @e[tag=scene1,tag=child3] 276 72 -229.0 180 0
execute if score .seq global matches 481 run tp @e[tag=scene1,tag=child1] 276 72 -232.0 180 0
execute if score .seq global matches 481 run tp @e[tag=scene1,tag=child2] 276 72 -231 180 0
execute if score .seq global matches 481 run tp @e[tag=scene1,tag=child4] 276 72 -228 180 0
execute if score .seq global matches 481 run event entity @e[tag=scene1,tag=child] emoji1
execute if score .seq global matches 481 run event entity @e[tag=scene1,type=rwm:lunchtray] despawn

# Maintain correct pre-anim facing position
execute if score .seq global matches 481..541 as @e[tag=scene1,tag=child,rym=-85,ry=-95,x=276,y=72,z=-233,dx=0,dy=1,dz=6] at @s run tp ~~~ 180 0

execute if score .seq global matches 510 run function cont_player
execute if score .seq global matches 510 run tp 273 72 -234 -90 0

execute if score .seq global matches 520 run function trans/fade_in


# Reset activity (runs at the start, or whenever the activity fails)
execute if score .seq global matches 540 run scoreboard players set .run global 0
execute if score .seq global matches 540 run codebuilder navigate @s[tag=!python] false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/scene1
execute if score .seq global matches 540 run codebuilder navigate @s[tag=python]  false https://notebooks.minecrafteduservices.com/everglade/ci/index.html?lesson=https://notebooks.minecrafteduservices.com/everglade/content/row/master/hoc2023/scene1.json
execute if score .seq global matches 540 run tp @e[tag=scene1,tag=child1] 276 72 -232.0 180 0
execute if score .seq global matches 540 run tp @e[tag=scene1,tag=child2] 276 72 -231 180 0
execute if score .seq global matches 540 run tp @e[tag=scene1,tag=child3] 276 72 -229.0 180 0
execute if score .seq global matches 540 run tp @e[tag=scene1,tag=child4] 276 72 -228 180 0
execute if score .seq global matches 540 run event entity @e[tag=scene1,tag=child] emoji1
execute if score .seq global matches 540 run event entity @e[tag=scene1,type=rwm:lunchtray] despawn
execute if score .seq global matches 540 run scoreboard players set .output global 0
execute if score .seq global matches 540 run scoreboard players set .seq2 global 0
execute if score .seq global matches 540 run scoreboard players set .exit global 0
execute if score .seq global matches 540 run scoreboard players add .seq global 1

# OBJ: Codebuilder Activity
execute if score .seq global matches 541 run titleraw @s[tag=!code.in_progress,tag=!touch] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.12.1.k","with": ["\n"]}]}
execute if score .seq global matches 541 run titleraw @s[tag=!code.in_progress,tag=touch]  actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.12.1.t","with": ["\n"]}]}
execute if score .seq global matches 541 run function seq/12_activity

# Switch to camera for activity
execute if score .seq global matches 541 if entity @s[tag=code_started] run tp 274 72 -236 -60 15
execute if score .seq global matches 541 if entity @s[tag=code_started] run function cont_camera
execute if score .seq global matches 541 if entity @s[tag=code_started] run scoreboard players set .seat global 1

# Exit code thrown, appropriate dialogue
execute if score .seq global matches 542 run codebuilder runtime stop @s
execute if score .seq global matches 542 unless score .exit global matches 1 run function cont_player
execute if score .seq global matches 542 unless score .exit global matches 1 run tp 273 72 -234 -90 0
execute if score .seq global matches 542 unless score .exit global matches 1 unless score .exit global matches 5 run dialogue open @e[family=dialogue,c=1,name=agent1] @s[tag=!dialogue] agent1.12.code4
execute if score .seq global matches 542 if score .exit global matches 1 run scoreboard players set .run global 1
execute if score .seq global matches 542 if score .exit global matches 5 run dialogue open @e[family=dialogue,c=1,name=agent1] @s[tag=!dialogue] agent1.12.code5

# Reset codebuilder
execute if score .seq global matches 543 run codebuilder navigate @s false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/no_code

execute if score .seq global matches 563..572 as @e[tag=scene1,tag=child] at @s run tp ~ ~ ~-.15
execute if score .seq global matches 563..572 as @e[tag=scene1,type=rwm:lunchtray] at @s run tp ~ ~ ~-.15
execute if score .seq global matches 573 as @e[tag=scene1,tag=child4] at @s run tp ~~~ -90 0
execute if score .seq global matches 578 as @e[tag=scene1,tag=child4] at @s run tp ~~~ -90 0

execute if score .seq global matches 583 run event entity @e[tag=scene1,type=rwm:smartdispenser] state1
execute if score .seq global matches 672 run summon rwm:lunchtray 277.2 73 -234 90 0
execute if score .seq global matches 672 run tag @e[type=rwm:lunchtray] add scene1
execute if score .seq global matches 672 run event entity @e[tag=scene1,tag=child4] emoji2
execute if score .seq global matches 677 run event entity @e[tag=scene1,type=rwm:smartdispenser] state0

# Dialogue 3
execute if score .seq global matches 697 run scoreboard players set .run global 0
execute if score .seq global matches 697 run dialogue open @e[family=dialogue,c=1,name=agent1] @s[tag=!dialogue] agent1.12.3a

# Next Act
execute if score .seq global matches 698 run scoreboard players set .act global 21
execute if score .seq global matches 698 run function loops/new_act