## Seq for 2-2

# Get rid of that darn skysphere once and for all
event entity @e[type=rwm:skysphere,r=100] despawn

# Camera control
execute if score .seat global matches 1 run ride @s start_riding @e[tag=scene2,tag=seat1]

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

## Load scene2
execute if score .seq global matches 002 run fog @s remove heck
execute if score .seq global matches 002 run tp 175 75 -552 -90 45
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add 162 69 -564 184 82 -544 scene2
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea scene2 loops/continue
execute if score .seq global matches 002 run function cont_camera
execute if score .seq global matches 002 run scoreboard players set .seat global 1
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run event entity @e[tag=scene3] despawn
execute if score .seq global matches 010 run function reset/scene2

# Swap Dialogues
execute if score .seq global matches 020 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 020 run summon rwm:dialogue_time_agent ~~~~~ agent2 agent2

# Fade in
execute if score .seq global matches 020 run function trans/fade_in

# Dialogue 1
execute if score .seq global matches 040 run scoreboard players set .run global 0
execute if score .seq global matches 040 run dialogue open @e[family=dialogue,c=1,name=agent2] @s[tag=!dialogue] agent2.22.1a

# Prep auto-lawnmower segment
execute if score .seq global matches 041 run scoreboard players set .seq2 global 0
execute if score .seq global matches 041 run scoreboard players add .seq global 1

# Auto-mower
execute if score .seq global matches 042 as @e[type=rwm:lawnmower,tag=scene2] at @s run function seq/22_auto

# Dialogue 2
execute if score .seq global matches 043 run dialogue open @e[family=dialogue,c=1,name=agent2] @s[tag=!dialogue] agent2.22.2a

# Quickfade segment
execute if score .seq global matches 044 run scoreboard players set .run global 1

execute if score .seq global matches 064 run function trans/quick
execute if score .seq global matches 064 run event entity @e[type=rwm:sprinkler,tag=scene2] sprinkler
execute if score .seq global matches 064 run tp @e[type=rwm:lawnmower] 177 72 -555 -90 0
execute if score .seq global matches 064 run structure load 22lawn 178 71 -555

execute if score .seq global matches 094 run function cont_player
execute if score .seq global matches 094 run tp 173 72 -552 -90 0

execute if score .seq global matches 104 run function trans/fade_in

# Reset activity (runs at the start, or whenever the activity fails)
execute if score .seq global matches 124 run scoreboard players set .run global 0
execute if score .seq global matches 124 run codebuilder navigate @s[tag=!python] false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/scene2
execute if score .seq global matches 124 run codebuilder navigate @s[tag=python]  false https://notebooks.minecrafteduservices.com/everglade/ci/index.html?lesson=https://notebooks.minecrafteduservices.com/everglade/content/row/master/hoc2023/scene2.json
execute if score .seq global matches 124 run event entity @e[type=rwm:lawnmower,tag=scene2] state0
execute if score .seq global matches 124 run structure load 22lawn 178 71 -555
execute if score .seq global matches 124 run tp @e[type=rwm:lawnmower] 177 72 -555 -90 0
execute if score .seq global matches 124 run scoreboard players set .output global 0
execute if score .seq global matches 124 run scoreboard players set .seq2 global 0
execute if score .seq global matches 124 run scoreboard players set .exit global 0
execute if score .seq global matches 124 run scoreboard players add .seq global 1

# OBJ: Codebuilder Activity
execute if score .seq global matches 125 run titleraw @s[tag=!code.in_progress,tag=!touch] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.22.2.k","with": ["\n"]}]}
execute if score .seq global matches 125 run titleraw @s[tag=!code.in_progress,tag=touch]  actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.22.2.t","with": ["\n"]}]}
execute if score .seq global matches 125 run function seq/22_activity

# Switch to camera for activity
execute if score .seq global matches 125 if entity @s[tag=code_started] run tp 175 75 -552 -90 45
execute if score .seq global matches 125 if entity @s[tag=code_started] run function cont_camera
execute if score .seq global matches 125 if entity @s[tag=code_started] run scoreboard players set .seat global 1

# Exit code thrown, appropriate dialogue
execute if score .seq global matches 126 run codebuilder runtime stop @s
execute if score .seq global matches 126 unless score .exit global matches 1 run function cont_player
execute if score .seq global matches 126 unless score .exit global matches 1 run tp 173 72 -552 -90 0
execute if score .seq global matches 126 unless score .exit global matches 1 unless score .exit global matches 5 run dialogue open @e[family=dialogue,c=1,name=agent1] @s[tag=!dialogue] agent1.12.code4
execute if score .seq global matches 126 unless score .exit global matches 1 unless score .exit global matches 4 run dialogue open @e[family=dialogue,c=1,name=agent2] @s[tag=!dialogue] agent2.22.code6
execute if score .seq global matches 126 if score .exit global matches 1 run scoreboard players set .run global 1
execute if score .seq global matches 126 if score .exit global matches 4 run dialogue open @e[family=dialogue,c=1,name=agent2] @s[tag=!dialogue] agent2.22.code4

# Reset codebuilder
execute if score .seq global matches 127 run codebuilder navigate @s false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/no_code

# Activate the sprinklers + pause for effect
execute if score .seq global matches 127 run event entity @e[type=rwm:sprinkler] sprinkler_working

# Dialogue 3
execute if score .seq global matches 187 run scoreboard players set .run global 0
execute if score .seq global matches 187 run dialogue open @e[family=dialogue,c=1,name=agent2] @s[tag=!dialogue] agent2.22.3a

# Activity completed! Next Act
execute if score .seq global matches 188 run scoreboard players set .act global 31
execute if score .seq global matches 188 run function loops/new_act