## Seq for 3-1

# Return to pillar
execute if score .seq global matches 020..236 unless entity @s[y=82,dy=100] run tp @s[tag=!dev] -105 85 465

# Skybox tracking (riding the player makes it act weird)
tp @e[type=rwm:skysphere,tag=trans4] ~ ~1 ~

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run fog @s remove heck
execute if score .seq global matches 000 run fog @s push rwm:heck heck
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

## Load trans4
execute if score .seq global matches 002 run fog @s remove white
execute if score .seq global matches 002 run tp -105 83 465 0 -4
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add -110 57 460 -100 100 493 trans4
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea trans4 loops/continue
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run function reset/trans4

# Swap Dialogues
execute if score .seq global matches 020 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 020 run summon rwm:dialogue_time_agent ~~~~~ agent4 agent4
execute if score .seq global matches 020 run summon rwm:dialogue_agent ~~~~~ agent agent

# Fade in
execute if score .seq global matches 020 run function trans/fade_in
execute if score .seq global matches 020 run function cont_player

# Dialogue 1
execute if score .seq global matches 040 run scoreboard players set .run global 0
execute if score .seq global matches 040 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.41.1a

# Activate agent
execute if score .seq global matches 041 run event entity @e[type=rwm:fake_agent,tag=trans4] activate
execute if score .seq global matches 041 run scoreboard players add .seq global 1

# OBJ: Interact with Agent
execute if score .seq global matches 042 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.41.1","with": ["\n"]}]}
execute if score .seq global matches 042 if score .slowcount global matches 1000 at @e[type=rwm:fake_agent,tag=trans4] run particle rwm:interact ~ ~1.5 ~

# Dialogue 2
execute if score .seq global matches 043 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.41.2a

## Generate Bridge
execute if score .seq global matches 044 run scoreboard players set .run global 1

# Clone the chosen bridge
execute if score .seq global matches 044 if entity @s[tag=41.small,tag=41.rope]     run structure load 41bridge.small.rope     -105 80 471
execute if score .seq global matches 044 if entity @s[tag=41.small,tag=41.straight] run structure load 41bridge.small.straight -105 82 471
execute if score .seq global matches 044 if entity @s[tag=41.small,tag=41.tall]     run structure load 41bridge.small.tall     -105 82 471

execute if score .seq global matches 044 if entity @s[tag=41.med,tag=41.rope]     run structure load 41bridge.med.rope     -106 80 471
execute if score .seq global matches 044 if entity @s[tag=41.med,tag=41.straight] run structure load 41bridge.med.straight -106 82 471
execute if score .seq global matches 044 if entity @s[tag=41.med,tag=41.tall]     run structure load 41bridge.med.tall     -106 82 471

execute if score .seq global matches 044 if entity @s[tag=41.big,tag=41.rope]     run structure load 41bridge.big.rope     -107 80 470
execute if score .seq global matches 044 if entity @s[tag=41.big,tag=41.straight] run structure load 41bridge.big.straight -107 82 470
execute if score .seq global matches 044 if entity @s[tag=41.big,tag=41.tall]     run structure load 41bridge.big.tall     -107 81 470

## Appear effect
execute if score .seq global matches 064 run event entity @e[type=rwm:fake_agent,tag=trans4] unseeplayer
execute if score .seq global matches 064 run tp @e[type=rwm:fake_agent,tag=trans4] -105 83 470 0 0
execute if score .seq global matches 065 run tp @e[type=rwm:fake_agent,tag=trans4] -105 83 470 0 0
execute if score .seq global matches 066 run tp @e[type=rwm:fake_agent,tag=trans4] -105 83 470 0 0

# Material transition
execute if score .seq global matches 084 if entity @s[tag=41.wood] run fill -107 80 470 -103 89 470 planks replace rwm:void
execute if score .seq global matches 094 if entity @s[tag=41.wood] run fill -107 80 471 -103 89 471 planks replace rwm:void
execute if score .seq global matches 104 if entity @s[tag=41.wood] run fill -107 80 472 -103 89 472 planks replace rwm:void
execute if score .seq global matches 114 if entity @s[tag=41.wood] run fill -107 80 473 -103 89 473 planks replace rwm:void
execute if score .seq global matches 124 if entity @s[tag=41.wood] run fill -107 80 474 -103 89 474 planks replace rwm:void
execute if score .seq global matches 134 if entity @s[tag=41.wood] run fill -107 80 475 -103 89 475 planks replace rwm:void
execute if score .seq global matches 144 if entity @s[tag=41.wood] run fill -107 80 476 -103 89 476 planks replace rwm:void
execute if score .seq global matches 154 if entity @s[tag=41.wood] run fill -107 80 477 -103 89 477 planks replace rwm:void
execute if score .seq global matches 164 if entity @s[tag=41.wood] run fill -107 80 478 -103 89 478 planks replace rwm:void
execute if score .seq global matches 174 if entity @s[tag=41.wood] run fill -107 80 479 -103 89 479 planks replace rwm:void
execute if score .seq global matches 184 if entity @s[tag=41.wood] run fill -107 80 480 -103 89 480 planks replace rwm:void
execute if score .seq global matches 194 if entity @s[tag=41.wood] run fill -107 80 481 -103 89 481 planks replace rwm:void
execute if score .seq global matches 204 if entity @s[tag=41.wood] run fill -107 80 482 -103 89 482 planks replace rwm:void
execute if score .seq global matches 214 if entity @s[tag=41.wood] run fill -107 80 483 -103 89 483 planks replace rwm:void

execute if score .seq global matches 084 if entity @s[tag=41.wool] run fill -107 80 470 -103 89 470 wool replace rwm:void
execute if score .seq global matches 094 if entity @s[tag=41.wool] run fill -107 80 471 -103 89 471 wool replace rwm:void
execute if score .seq global matches 104 if entity @s[tag=41.wool] run fill -107 80 472 -103 89 472 wool replace rwm:void
execute if score .seq global matches 114 if entity @s[tag=41.wool] run fill -107 80 473 -103 89 473 wool replace rwm:void
execute if score .seq global matches 124 if entity @s[tag=41.wool] run fill -107 80 474 -103 89 474 wool replace rwm:void
execute if score .seq global matches 134 if entity @s[tag=41.wool] run fill -107 80 475 -103 89 475 wool replace rwm:void
execute if score .seq global matches 144 if entity @s[tag=41.wool] run fill -107 80 476 -103 89 476 wool replace rwm:void
execute if score .seq global matches 154 if entity @s[tag=41.wool] run fill -107 80 477 -103 89 477 wool replace rwm:void
execute if score .seq global matches 164 if entity @s[tag=41.wool] run fill -107 80 478 -103 89 478 wool replace rwm:void
execute if score .seq global matches 174 if entity @s[tag=41.wool] run fill -107 80 479 -103 89 479 wool replace rwm:void
execute if score .seq global matches 184 if entity @s[tag=41.wool] run fill -107 80 480 -103 89 480 wool replace rwm:void
execute if score .seq global matches 194 if entity @s[tag=41.wool] run fill -107 80 481 -103 89 481 wool replace rwm:void
execute if score .seq global matches 204 if entity @s[tag=41.wool] run fill -107 80 482 -103 89 482 wool replace rwm:void
execute if score .seq global matches 214 if entity @s[tag=41.wool] run fill -107 80 483 -103 89 483 wool replace rwm:void

execute if score .seq global matches 084 if entity @s[tag=41.metal] run fill -107 80 470 -103 89 470 iron_block replace rwm:void
execute if score .seq global matches 094 if entity @s[tag=41.metal] run fill -107 80 471 -103 89 471 iron_block replace rwm:void
execute if score .seq global matches 104 if entity @s[tag=41.metal] run fill -107 80 472 -103 89 472 iron_block replace rwm:void
execute if score .seq global matches 114 if entity @s[tag=41.metal] run fill -107 80 473 -103 89 473 iron_block replace rwm:void
execute if score .seq global matches 124 if entity @s[tag=41.metal] run fill -107 80 474 -103 89 474 iron_block replace rwm:void
execute if score .seq global matches 134 if entity @s[tag=41.metal] run fill -107 80 475 -103 89 475 iron_block replace rwm:void
execute if score .seq global matches 144 if entity @s[tag=41.metal] run fill -107 80 476 -103 89 476 iron_block replace rwm:void
execute if score .seq global matches 154 if entity @s[tag=41.metal] run fill -107 80 477 -103 89 477 iron_block replace rwm:void
execute if score .seq global matches 164 if entity @s[tag=41.metal] run fill -107 80 478 -103 89 478 iron_block replace rwm:void
execute if score .seq global matches 174 if entity @s[tag=41.metal] run fill -107 80 479 -103 89 479 iron_block replace rwm:void
execute if score .seq global matches 184 if entity @s[tag=41.metal] run fill -107 80 480 -103 89 480 iron_block replace rwm:void
execute if score .seq global matches 194 if entity @s[tag=41.metal] run fill -107 80 481 -103 89 481 iron_block replace rwm:void
execute if score .seq global matches 204 if entity @s[tag=41.metal] run fill -107 80 482 -103 89 482 iron_block replace rwm:void
execute if score .seq global matches 214 if entity @s[tag=41.metal] run fill -107 80 483 -103 89 483 iron_block replace rwm:void

execute if score .seq global matches 224 run event entity @e[type=rwm:fake_agent,tag=trans4] seeplayer

# Dialogue 3
execute if score .seq global matches 234 run scoreboard players set .run global 0
execute if score .seq global matches 234 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.41.3a

# OBJ: Get to the Other Side
execute if score .seq global matches 235 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.41.2","with": ["\n"]}]}

# Detect completion
execute if score .seq global matches 235 if entity @s[x=-106,y=85,z=487,dx=2,dy=5,dz=2] run scoreboard players add .seq global 1

# Dialogue 4
execute if score .seq global matches 236 run dialogue open @e[family=dialogue,c=1,name=agent4] @s[tag=!dialogue] agent4.41.4a

# Drop 'em
execute if score .seq global matches 237 run scoreboard players set .run global 1
execute if score .seq global matches 237 run fill -104 85 490 -106 85 486 air destroy
execute if score .seq global matches 237 run fill -107 85 489 -103 85 487 air destroy
execute if score .seq global matches 237 run fog @s remove heck
execute if score .seq global matches 237 run fog @s push rwm:heck_short heck

execute if score .seq global matches 272 run tp -105 38 488
execute if score .seq global matches 272 run inputpermission set @s[tag=!dev] movement disabled
execute if score .seq global matches 272 positioned -105 39 488 run summon rwm:dropper_transit 
execute if score .seq global matches 272 positioned -105 39 488 run tag @e[r=0,type=rwm:dropper_transit] add trans4

execute if score .seq global matches 272.. run particle rwm:falling

# Eliminate the sky sphere
execute if score .seq global matches 492 run event entity @e[type=rwm:skysphere,tag=trans4] despawn

# Next act
# It goes to 43, since that's the intro to 42
execute if score .seq global matches 492 run scoreboard players set .act global 43
execute if score .seq global matches 492 run function loops/new_act