## Seq for 4-2

# Get rid of that darn skysphere once and for all
event entity @e[type=rwm:skysphere,r=100] despawn

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

## Load scene4
execute if score .seq global matches 002 run fog @s remove heck
execute if score .seq global matches 002 run tp 107 97 -775 180 0
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add 101 94 -782 126 109 -763 scene4
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea scene4 loops/continue
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run function reset/scene4
execute if score .seq global matches 010 run time set noon

# Swap Dialogues
execute if score .seq global matches 020 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 020 run summon rwm:dialogue_time_agent ~~~~~ agent4 agent4
execute if score .seq global matches 020 run summon rwm:dialogue_computer ~~~~~ computer computer
execute if score .seq global matches 020 run summon rwm:dialogue_parent_1 ~~~~~ parent_1 parent_1

# Fade in
execute if score .seq global matches 020 run function trans/fade_in
execute if score .seq global matches 020 run function cont_player

# Dialogue 1
execute if score .seq global matches 040 run scoreboard players set .run global 0
execute if score .seq global matches 040 run dialogue open @e[family=dialogue,c=1,name=agent4] @s[tag=!dialogue] agent4.42.1a

# Notification
execute if score .seq global matches 041 run scoreboard players set .run global 1
execute if score .seq global matches 060 at @e[tag=player_comp] run particle rwm:notification ~ ~.5 ~

# Dialogue 2
execute if score .seq global matches 100 run scoreboard players set .run global 0
execute if score .seq global matches 100 run dialogue open @e[family=dialogue,c=1,name=agent4] @s[tag=!dialogue] agent4.42.2a

# Activate Computer
execute if score .seq global matches 101 run event entity @e[tag=player_comp,tag=scene4] activate
execute if score .seq global matches 101 run scoreboard players add .seq global 1

# OBJ: Interact with Computer
execute if score .seq global matches 102 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.42.1","with": ["\n"]}]}
execute if score .seq global matches 102 if score .slowcount global matches 1000 at @e[tag=player_comp,tag=scene4] run particle rwm:interact ~ ~1.5 ~

# Dialogue 3
execute if score .seq global matches 103 run dialogue open @e[family=dialogue,c=1,name=parent_1] @s[tag=!dialogue] parent_1.42.3a

# Activate Lock
#execute if score .seq global matches 104 run ride @s stop_riding
#execute if score .seq global matches 104 run scoreboard players set .seat global 0
#execute if score .seq global matches 104 run inputpermission set @s movement enabled
execute if score .seq global matches 104 run event entity @e[type=rwm:doorlock,tag=scene4] activate
execute if score .seq global matches 104 run scoreboard players add .seq global 1

# OBJ: Interact with Lock
execute if score .seq global matches 105 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.42.2","with": ["\n"]}]}
execute if score .seq global matches 105 if score .slowcount global matches 1000 at @e[type=rwm:doorlock,tag=scene4] run particle rwm:interact ~ ~2 ~

# Animation
execute if score .seq global matches 106 run scoreboard players set .run global 1
execute if score .seq global matches 106 run tp 113 97 -774.0 180 4
execute if score .seq global matches 106 run inputpermission set @s[tag=!dev] camera disabled
execute if score .seq global matches 106 run inputpermission set @s[tag=!dev] movement disabled
execute if score .seq global matches 106 run event entity @e[type=rwm:smartlock_interface] state1

execute if score .seq global matches 384 run inputpermission set @s camera enabled
execute if score .seq global matches 384 run inputpermission set @s movement enabled
execute if score .seq global matches 384 run event entity @e[type=rwm:smartlock_interface] state0

# Dialogue 4
execute if score .seq global matches 385 run scoreboard players set .run global 0
execute if score .seq global matches 385 run dialogue open @e[family=dialogue,c=1,name=agent4] @s[tag=!dialogue] agent4.42.4a

# Activate Computer
execute if score .seq global matches 386 run event entity @e[tag=player_comp,tag=scene4] activate
execute if score .seq global matches 386 run scoreboard players add .seq global 1

# OBJ: Interact with Computer
execute if score .seq global matches 387 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.42.3","with": ["\n"]}]}
execute if score .seq global matches 387 if score .slowcount global matches 1000 at @e[tag=player_comp,tag=scene4] run particle rwm:interact ~ ~1.5 ~

# Dialogue 5 / Prompt
# Which dialogue runs depends on which have already been seen
execute if score .seq global matches 388 if entity @s[tag=!42.lock_dialogue,tag=!42.disp_dialogue] run dialogue open @e[family=dialogue,c=1,name=computer] @s[tag=!dialogue] computer.42.5a
execute if score .seq global matches 388 if entity @s[tag=42.lock_dialogue,tag=!42.disp_dialogue]  run dialogue open @e[family=dialogue,c=1,name=computer] @s[tag=!dialogue] computer.42.5b3a
execute if score .seq global matches 388 if entity @s[tag=!42.lock_dialogue,tag=42.disp_dialogue]  run dialogue open @e[family=dialogue,c=1,name=computer] @s[tag=!dialogue] computer.42.5b3b
execute if score .seq global matches 388 if entity @s[tag=42.lock_dialogue,tag=42.disp_dialogue]   run dialogue open @e[family=dialogue,c=1,name=computer] @s[tag=!dialogue] computer.42.5b3ab

# Scanning
execute if score .seq global matches 389 run scoreboard players set .run global 1
execute if score .seq global matches 409 run titleraw @s times 10 40 10
execute if score .seq global matches 409 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.42.1","with": ["\n"]}]}
execute if score .seq global matches 409 run titleraw @s title {"rawtext":[{"text":" "}]}

# Dialogue 6
# Which dialogue runs depends on whether the player picked the correct answer
execute if score .seq global matches 469 run scoreboard players set .run global 0
execute if score .seq global matches 469 if entity @s[tag=!42.corr_dialogue] run dialogue open @e[family=dialogue,c=1,name=computer] @s[tag=!dialogue] computer.42.6a1
execute if score .seq global matches 469 if entity @s[tag=42.corr_dialogue]  run dialogue open @e[family=dialogue,c=1,name=computer] @s[tag=!dialogue] computer.42.6a2

# Move back if they were wrong, forward if they were right
execute if score .seq global matches 470 if entity @s[tag=!42.corr_dialogue] run scoreboard players remove .seq global 82
execute if score .seq global matches 470 if entity @s[tag=42.corr_dialogue]  run scoreboard players set .run global 1

# Opening code
execute if score .seq global matches 490 run titleraw @s times 10 40 10
execute if score .seq global matches 490 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.42.2","with": ["\n"]}]}
execute if score .seq global matches 490 run titleraw @s title {"rawtext":[{"text":" "}]}

# Dialogue 7
execute if score .seq global matches 550 if entity @s[tag=42.corr_dialogue]  run scoreboard players set .run global 0
execute if score .seq global matches 550 run dialogue open @e[family=dialogue,c=1,name=computer] @s[tag=!dialogue] computer.42.7a

# Reset activity (runs at the start, or whenever the activity fails)
execute if score .seq global matches 551 run scoreboard players set .run global 0
execute if score .seq global matches 551 run codebuilder navigate @s[tag=!python] false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/scene4
execute if score .seq global matches 551 run codebuilder navigate @s[tag=python]  false https://notebooks.minecrafteduservices.com/everglade/ci/index.html?lesson=https://notebooks.minecrafteduservices.com/everglade/content/row/master/hoc2023/scene4.json
execute if score .seq global matches 551 run scoreboard players set .output global 0
execute if score .seq global matches 551 run scoreboard players set .seq2 global 0
execute if score .seq global matches 551 run scoreboard players set .exit global 0
execute if score .seq global matches 551 run scoreboard players add .seq global 1

# OBJ: Codebuilder Activity
execute if score .seq global matches 552 run titleraw @s[tag=!code.in_progress,tag=!touch] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.42.4.k","with": ["\n"]}]}
execute if score .seq global matches 552 run titleraw @s[tag=!code.in_progress,tag=touch]  actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.42.4.t","with": ["\n"]}]}
execute if score .seq global matches 552 run function seq/42_activity

# Exit Codes
execute if score .seq global matches 553..836 run codebuilder runtime stop @s
execute if score .seq global matches 553 unless score .exit global matches 1 unless score .exit global matches 5 run dialogue open @e[family=dialogue,c=1,name=computer] @s[tag=!dialogue] computer.42.code6
execute if score .seq global matches 553 if score .exit global matches 1 run scoreboard players add .seq global 1
execute if score .seq global matches 553 if score .exit global matches 5 run scoreboard players add .seq global 1

# Activate Lock
execute if score .seq global matches 554 run event entity @e[type=rwm:doorlock,tag=scene4] activate
execute if score .seq global matches 554 run scoreboard players add .seq global 1

# OBJ: Interact with Lock
execute if score .seq global matches 555 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.42.5","with": ["\n"]}]}
execute if score .seq global matches 555 if score .slowcount global matches 1000 at @e[type=rwm:doorlock,tag=scene4] run particle rwm:interact ~ ~2 ~

# Animation
execute if score .seq global matches 556 run scoreboard players set .run global 1
execute if score .seq global matches 556 run tp 113 97 -774.0 180 4
execute if score .seq global matches 556 run inputpermission set @s[tag=!dev] camera disabled
execute if score .seq global matches 556 run inputpermission set @s[tag=!dev] movement disabled
execute if score .seq global matches 556 unless score .exit global matches 1 run event entity @e[type=rwm:smartlock_interface] state1
execute if score .seq global matches 556 if score .exit global matches 1     run event entity @e[type=rwm:smartlock_interface] state2
execute if score .seq global matches 556 if score .exit global matches 1     run scoreboard players add .seq global 38

execute if score .seq global matches 834 run inputpermission set @s camera enabled
execute if score .seq global matches 834 run inputpermission set @s movement enabled
execute if score .seq global matches 834 run event entity @e[type=rwm:smartlock_interface] state0

# Dialogue 8 / Code 5
execute if score .seq global matches 835 run scoreboard players set .run global 0
execute if score .seq global matches 835 unless score .exit global matches 1 run dialogue open @e[family=dialogue,c=1,name=computer] @s[tag=!dialogue] computer.42.code5
execute if score .seq global matches 835 if score .exit global matches 1     run dialogue open @e[family=dialogue,c=1,name=computer] @s[tag=!dialogue] computer.42.8a

# Move back if they were wrong, forward if they were right
execute if score .seq global matches 836 unless score .exit global matches 1 run scoreboard players remove .seq global 285
execute if score .seq global matches 836 if score .exit global matches 1     run scoreboard players set .run global 1

# Activity completed! Next Act
execute if score .seq global matches 837 run codebuilder navigate @s false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/no_code
execute if score .seq global matches 837 run scoreboard players set .act global 44
execute if score .seq global matches 837 run function loops/new_act