## Seq for 4-3

# Camera control
execute if score .seat global matches 1 run ride @s start_riding @e[tag=scene4cut,tag=seat1]
execute if score .seat global matches 2 run ride @s start_riding @e[tag=scene4cut,tag=seat2]
execute if score .seat global matches 3 run ride @s start_riding @e[tag=scene4cut,tag=seat3]
execute if score .seat global matches 4 run ride @s start_riding @e[tag=scene4cut,tag=seat4]

# Get rid of that darn skysphere once and for all
event entity @e[type=rwm:skysphere,r=100] despawn

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

## Load scene4cut
execute if score .seq global matches 002 run fog @s remove heck
execute if score .seq global matches 002 run tp 154 72 -839 150 15
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add 144 69 -859 162 78 -838 scene4cut
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea scene4cut loops/continue
execute if score .seq global matches 002 run function cont_camera
execute if score .seq global matches 002 run scoreboard players set .seat global 1
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run function reset/scene4cut
execute if score .seq global matches 010 run time set 13000
execute if score .seq global matches 010 run event entity @e[tag=scene4cut,type=rwm:parent_1] chicken
execute if score .seq global matches 010 run event entity @e[tag=scene4cut,type=rwm:parent_1] emoji2
execute if score .seq global matches 010 run event entity @e[tag=scene4cut,tag=kid] emoji1

# Swap Dialogues
execute if score .seq global matches 020 run event entity @e[family=dialogue] despawn

# Fade in
execute if score .seq global matches 020 run function trans/fade_in

# Parent walks in
execute if score .seq global matches 040..065 as @e[type=rwm:parent_1] at @s run tp ~-.1 ~ ~ 90
execute if score .seq global matches 066..096 as @e[type=rwm:parent_1] at @s run tp ~ ~ ~.1 0
execute if score .seq global matches 097..120 as @e[type=rwm:parent_1] at @s run tp ~-.1 ~ ~ 90

# Parent places down food
execute if score .seq global matches 140 run event entity @e[tag=scene4cut,type=rwm:parent_1] none
execute if score .seq global matches 140 run event entity @e[tag=scene4cut,type=rwm:platter] chicken
execute if score .seq global matches 140 run event entity @e[tag=scene4cut,tag=kid] emoji2

# Spawn the salesman
execute if score .seq global matches 160 positioned 149 72 -852 run summon rwm:npc ~~~ -25 ~ salesman_1
execute if score .seq global matches 160 positioned 149 72 -852 run tag @e[r=0] add scene4cut
execute if score .seq global matches 160 positioned 149 72 -852 run tag @e[r=0] add salesman
execute if score .seq global matches 160..170 as @e[tag=scene4cut,tag=salesman] at @s run tp ~.1 ~ ~ -25 ~

# Knock at the door
execute if score .seq global matches 180 run event entity @e[tag=scene4cut,family=npc,tag=!salesman] emoji4
execute if score .seq global matches 180 run execute at @e[family=npc,tag=!salesman] run playsound mob.villager.haggle @s ~~~ 1 1 1
execute if score .seq global matches 180 run playsound knock
execute if score .seq global matches 180 run particle rwm:knock 151.0 72.5 -850
execute if score .seq global matches 190 run particle rwm:knock 151.0 72.5 -850
execute if score .seq global matches 200 run particle rwm:knock 151.0 72.5 -850
execute if score .seq global matches 210 run particle rwm:knock 151.0 72.5 -850

# Parent goes to investigate
execute if score .seq global matches 220..270 as @e[type=rwm:parent_1] at @s run tp ^ ^ ^.1 160
execute if score .seq global matches 271..280 as @e[type=rwm:parent_1] at @s run tp ~ ~ ~-.05 180
execute if score .seq global matches 280..285 as @e[type=rwm:parent_1] at @s run tp ~ ~ ~ 155

execute if score .seq global matches 230 run scoreboard players set .seat global 2

execute if score .seq global matches 230..290 as @e[tag=scene4cut,tag=seat2] at @s run tp ~ ~ ~-.05

# It's just a salesperson
execute if score .seq global matches 310 run fill 150 70 -851 151 70 -851 redstone_torch

execute if score .seq global matches 350 run particle rwm:sales_1 150.8 73 -851

execute if score .seq global matches 390 run event entity @e[tag=scene4cut,type=rwm:parent_1] emoji5
execute if score .seq global matches 390 run execute at @e[tag=scene4cut,type=rwm:parent_1] run playsound mob.villager.no @s ~~~ 1 1 1
execute if score .seq global matches 390 run fill 150 70 -851 151 70 -851 air

# Time transition
execute if score .seq global matches 430 run scoreboard players set .seat global 4

execute if score .seq global matches 450..470 as @e[tag=scene4cut,type=rwm:parent_1] at @s run tp ~ ~ ~.1 0
execute if score .seq global matches 450..500 as @e[tag=scene4cut,tag=salesman] at @s run tp ~ ~ ~-.2 180

execute if score .seq global matches 521..620 run time add 240

# Reset area
execute if score .seq global matches 620 run tag @e[type=rwm:seat,c=1] remove scene4cut
execute if score .seq global matches 620 run function reset/scene4cut
execute if score .seq global matches 620 run tag @e[type=rwm:seat,c=1] add scene4cut
execute if score .seq global matches 620 run event entity @e[tag=scene4cut,type=rwm:parent_1] steak
execute if score .seq global matches 620 run event entity @e[tag=scene4cut,type=rwm:parent_1] emoji2
execute if score .seq global matches 620 run event entity @e[tag=scene4cut,tag=kid] emoji1

# Transition back
execute if score .seq global matches 660 run scoreboard players set .seat global 1

# Parent walks in
execute if score .seq global matches 680..705 as @e[type=rwm:parent_1] at @s run tp ~-.1 ~ ~ 90
execute if score .seq global matches 706..736 as @e[type=rwm:parent_1] at @s run tp ~ ~ ~.1 0
execute if score .seq global matches 737..760 as @e[type=rwm:parent_1] at @s run tp ~-.1 ~ ~ 90

# Spawn the salesman
execute if score .seq global matches 780 positioned 149 72 -852 run summon rwm:npc ~~~ -25 ~ salesman_2
execute if score .seq global matches 780 positioned 149 72 -852 run tag @e[r=0] add scene4cut
execute if score .seq global matches 780 positioned 149 72 -852 run tag @e[r=0] add salesman
execute if score .seq global matches 780..790 as @e[tag=scene4cut,tag=salesman] at @s run tp ~.1 ~ ~ -25 ~

# Knock at the door
execute if score .seq global matches 780 run event entity @e[tag=scene4cut,family=npc,tag=!salesman] emoji4
execute if score .seq global matches 780 run execute at @e[family=npc,tag=!salesman] run playsound mob.villager.haggle @s ~~~ 1 1 1
execute if score .seq global matches 780 run playsound knock
execute if score .seq global matches 780 run particle rwm:knock 151.0 72.5 -850
execute if score .seq global matches 790 run particle rwm:knock 151.0 72.5 -850
execute if score .seq global matches 800 run particle rwm:knock 151.0 72.5 -850
execute if score .seq global matches 810 run particle rwm:knock 151.0 72.5 -850

# Parent goes to investigate
execute if score .seq global matches 820..870 as @e[type=rwm:parent_1] at @s run tp ^ ^ ^.1 160
execute if score .seq global matches 871..880 as @e[type=rwm:parent_1] at @s run tp ~ ~ ~-.05 180
execute if score .seq global matches 881..885 as @e[type=rwm:parent_1] at @s run tp ~ ~ ~ 155

execute if score .seq global matches 830 run scoreboard players set .seat global 2

execute if score .seq global matches 830..890 as @e[tag=scene4cut,tag=seat2] at @s run tp ~ ~ ~-.05

# It's just another salesperson
execute if score .seq global matches 910 run fill 150 70 -851 151 70 -851 redstone_torch

execute if score .seq global matches 950 run particle rwm:sales_2 150.8 73 -851

execute if score .seq global matches 990 run event entity @e[tag=scene4cut,type=rwm:parent_1] emoji5
execute if score .seq global matches 990 run execute at @e[tag=scene4cut,type=rwm:parent_1] run playsound mob.villager.no @s ~~~ 1 1 1
execute if score .seq global matches 990 run fill 150 70 -851 151 70 -851 air

# Next act
execute if score .seq global matches 1030 run scoreboard players set .act global 42
execute if score .seq global matches 1030 run function loops/new_act