## Seq for 1-1

# Return to pillar
execute if score .seq global matches 020..504 unless entity @s[y=82,dy=100] run tp @s[tag=!dev] -308 88 460

# Skybox tracking (riding the player makes it act weird)
tp @e[type=rwm:skysphere,tag=trans5] ~ ~1 ~

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run fog @s remove heck
execute if score .seq global matches 000 run fog @s push rwm:heck heck
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

## Load trans5
execute if score .seq global matches 002 run tp -308 86 460 0 -3
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add -313 57 455 -303 100 558 trans5
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea trans5 loops/continue
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run function reset/trans5
execute if score .seq global matches 010 run time set noon

# Swap Dialogues
execute if score .seq global matches 020 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 020 run summon rwm:dialogue_agent ~~~~~ agent agent

# Fade in
execute if score .seq global matches 020 run function trans/fade_in
execute if score .seq global matches 020 run function cont_player

# Dialogue 1
execute if score .seq global matches 040 run scoreboard players set .run global 0
execute if score .seq global matches 040 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.51.1a

# Transformation
execute if score .seq global matches 041 run scoreboard players set .run global 1

execute if score .seq global matches 060 run event entity @e[type=rwm:smartscooter,tag=trans5] transform

# Dialogue 2
execute if score .seq global matches 120 run scoreboard players set .run global 0
execute if score .seq global matches 120 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.51.2a

# OBJ: Ride the Scooter
execute if score .seq global matches 121 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.51.1","with": ["\n"]}]}
execute if score .seq global matches 121 if score .slowcount global matches 1000 at @e[type=rwm:smartscooter,tag=trans5] run particle rwm:interact ~ ~1.5 ~-.5

# Detect completion
execute if score .seq global matches 121 if entity @e[type=rwm:smartscooter,r=0.5] run scoreboard players add .seq global 1

# Dialogue 3
execute if score .seq global matches 122 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.51.3a

# Start scooter
execute if score .seq global matches 123 run scoreboard players set .run global 1
execute if score .seq global matches 123 run inputpermission set @s[tag=!dev] movement disabled
execute if score .seq global matches 123 run ride @s start_riding @e[type=rwm:smartscooter,tag=trans5]

# Particles
execute if score .seq global matches 143..453 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_glow

# Raise
execute if score .seq global matches 143..182 as @e[type=rwm:smartscooter,tag=trans5] at @s run tp ~ ~.1 ~
execute if score .seq global matches 183..202 as @e[type=rwm:smartscooter,tag=trans5] at @s run tp ~ ~.15 ~
execute if score .seq global matches 203..222 as @e[type=rwm:smartscooter,tag=trans5] at @s run tp ~ ~.1 ~

# Charging
execute if score .seq global matches 243 run playsound portal.trigger @a ~~~ 1 0.75
execute if score .seq global matches 243 run playsound firework.twinkle @a ~~~ 3 1.0 0.5
execute if score .seq global matches 223 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3
execute if score .seq global matches 243 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3

execute if score .seq global matches 263 run playsound firework.twinkle @a ~~~ 3 1.0 0.5
execute if score .seq global matches 263 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3
execute if score .seq global matches 263 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3
execute if score .seq global matches 283 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3
execute if score .seq global matches 283 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3

execute if score .seq global matches 303 run playsound firework.twinkle @a ~~~ 3 1.0 0.5
execute if score .seq global matches 303 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3
execute if score .seq global matches 303 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3
execute if score .seq global matches 303 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3
execute if score .seq global matches 323 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3
execute if score .seq global matches 323 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3
execute if score .seq global matches 323 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_charge ~ ~.5 ~3

# Launch
execute if score .seq global matches 343 run playsound block.end_portal.spawn @a ~~~ 10 0.7 10
execute if score .seq global matches 343 run playsound mob.zombie.remedy @a ~ ~ ~ 3 0.5 3
execute if score .seq global matches 343 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_launch ~ ~.5 ~3
execute if score .seq global matches 343..423 as @e[type=rwm:smartscooter,tag=trans5] at @s run particle rwm:warp_effect ~ ~1 ~20
execute if score .seq global matches 343..443 as @e[type=rwm:smartscooter,tag=trans5] at @s run tp ~ ~ ~.8

# Descend
execute if score .seq global matches 444..453 as @e[type=rwm:smartscooter,tag=trans5] at @s run tp ~ ~-.1 ~.3
execute if score .seq global matches 454..473 as @e[type=rwm:smartscooter,tag=trans5] at @s run tp ~ ~-.05 ~.1

# Eject rider
execute if score .seq global matches 503 run inputpermission set @s movement enabled
execute if score .seq global matches 503 run tp -308 93 552

# Dialogue 4
execute if score .seq global matches 504 run scoreboard players set .run global 0
execute if score .seq global matches 504 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.51.4a

# Drop 'em
execute if score .seq global matches 505 run scoreboard players set .run global 1
execute if score .seq global matches 505 run fill -307 92 555 -309 92 551 air destroy
execute if score .seq global matches 505 run fill -310 92 554 -306 92 552 air destroy
execute if score .seq global matches 505 run fog @s remove heck
execute if score .seq global matches 505 run fog @s push rwm:heck_short heck

execute if score .seq global matches 540 run tp -308 38 553
execute if score .seq global matches 540 run inputpermission set @s[tag=!dev] movement disabled
execute if score .seq global matches 540 positioned -308 39 553 run summon rwm:dropper_transit 
execute if score .seq global matches 540 positioned -308 39 553 run tag @e[r=0,type=rwm:dropper_transit] add trans5

execute if score .seq global matches 540.. run particle rwm:falling

# Eliminate the sky sphere
execute if score .seq global matches 760 run event entity @e[type=rwm:skysphere,tag=trans5] despawn

# Next act
execute if score .seq global matches 760 run scoreboard players set .act global 52
execute if score .seq global matches 760 run function loops/new_act