## Seq for 5-2

# Return to pillar
execute if score .seq global matches 020.. unless entity @s[y=64,dy=100] run tp @s[tag=!dev] -511 67 444

# Skybox tracking (riding the player makes it act weird)
tp @e[type=rwm:skysphere,tag=scene5] ~ ~1 ~

# Camera control
execute if score .seat global matches 1 run ride @s start_riding @e[tag=scene5,tag=seat1]

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

## Load scene5
execute if score .seq global matches 002 run fog @s remove heck
execute if score .seq global matches 002 run fog @s push rwm:heck_wide heck
execute if score .seq global matches 002 run tp -511 65 444 0 10
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add -570 57 440 -451 107 545 scene5
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea scene5 loops/continue
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run function reset/scene5

# Swap Dialogues
execute if score .seq global matches 020 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 020 run summon rwm:dialogue_time_agent ~~~~~ agent1 agent1
execute if score .seq global matches 020 run summon rwm:dialogue_time_agent ~~~~~ agent2 agent2
execute if score .seq global matches 020 run summon rwm:dialogue_time_agent ~~~~~ agent3 agent3
execute if score .seq global matches 020 run summon rwm:dialogue_time_agent ~~~~~ agent4 agent4
execute if score .seq global matches 020 run summon rwm:dialogue_agent ~~~~~ agent agent

# Fade in
execute if score .seq global matches 020 run function trans/fade_in
execute if score .seq global matches 020 run function cont_player

# Dialogue 1
execute if score .seq global matches 040 run scoreboard players set .run global 0
execute if score .seq global matches 040 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.52.1a

# Time agents spawn
execute if score .seq global matches 041 run scoreboard players set .run global 1

execute if score .seq global matches 060 run function seq/52_spawn_agents

# Dialogue 2
execute if score .seq global matches 100 run scoreboard players set .run global 0
execute if score .seq global matches 100 run dialogue open @e[family=dialogue,c=1,name=agent1] @s[tag=!dialogue] agent1.52.2a

# Transition to data point area
execute if score .seq global matches 101 run scoreboard players set .run global 1
execute if score .seq global matches 101 run structure load 52.maze -517 63 449 0_degrees none block_by_block 5
execute if score .seq global matches 101..200 as @e[type=rwm:time_agent,tag=scene5] at @s run tp ~ ~-.02 ~ ~1.8 ~

# Spawn data points + assign agent names
execute if score .seq global matches 230 run event entity @e[type=rwm:time_agent,tag=scene5] show_name
execute if score .seq global matches 240 run function seq/52_spawn_data
execute if score .seq global matches 240 run dialogue change @e[tag=red_agent,tag=scene5] nametag.52.q.1
execute if score .seq global matches 240 run dialogue change @e[tag=yellow_agent,tag=scene5] nametag.52.q.2
execute if score .seq global matches 240 run dialogue change @e[tag=green_agent,tag=scene5] nametag.52.q.3
execute if score .seq global matches 240 run dialogue change @e[tag=blue_agent,tag=scene5] nametag.52.q.4

# Dialogue 3
execute if score .seq global matches 280 run scoreboard players set .run global 0
execute if score .seq global matches 280 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.52.3a

# Load codebuilder (needs to be done early for some reason)
execute if score .seq global matches 281 run codebuilder navigate @s[tag=!python] false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/scene5
execute if score .seq global matches 281 run codebuilder navigate @s[tag=python]  false https://notebooks.minecrafteduservices.com/everglade/ci/index.html?lesson=https://notebooks.minecrafteduservices.com/everglade/content/row/master/hoc2023/scene5.json
execute if score .seq global matches 281 run scoreboard players add .seq global 1

# Reset activity (runs at the start, or whenever the activity fails)
execute if score .seq global matches 282 run scoreboard players set .run global 0
execute if score .seq global matches 282 run scoreboard players set .output global 0
execute if score .seq global matches 282 run scoreboard players set .seq2 global 0
execute if score .seq global matches 282 run scoreboard players set .exit global 0
execute if score .seq global matches 282 run scoreboard players add .seq global 1

# OBJ: Codebuilder Activity
execute if score .seq global matches 283 run titleraw @s[tag=!code.in_progress,tag=!touch] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.52.1.k","with": ["\n"]}]}
execute if score .seq global matches 283 run titleraw @s[tag=!code.in_progress,tag=touch]  actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.52.1.t","with": ["\n"]}]}
execute if score .seq global matches 283 run function seq/52_activity

# Exit code thrown, appropriate dialogue after a delay
execute if score .seq global matches 284 run codebuilder runtime stop @s
execute if score .seq global matches 284 unless score .exit global matches 1 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.52.code2
execute if score .seq global matches 284 if score .exit global matches 1     run scoreboard players set .run global 1

# Reset codebuilder
execute if score .seq global matches 285 run codebuilder navigate @s false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/no_code

# Clear first data points + clear activity
execute if score .seq global matches 285 as @e[type=rwm:time_agent,tag=scene5] at @s as @e[type=rwm:data,c=1] at @s run tp ~ ~-2 ~

# Switch to air-cam
execute if score .seq global matches 285 run function cont_camera
execute if score .seq global matches 285 run tp -511 71 453 0 60
execute if score .seq global matches 285 run scoreboard players set .seat global 1

# End of activity cutscene
execute if score .seq global matches 285 as @e[tag=red_agent,tag=scene5] at @s run tp -508 ~ 455
execute if score .seq global matches 312..333 at @e[tag=red_agent] run particle rwm:red_trail
execute if score .seq global matches 312 as @e[tag=red_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 315 as @e[tag=red_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 318 as @e[tag=red_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 321 as @e[tag=red_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 324 as @e[tag=red_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 327 as @e[tag=red_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 330 as @e[tag=red_agent,tag=scene5] at @s run tp ~1 ~ ~
execute if score .seq global matches 333 as @e[tag=red_agent,tag=scene5] at @s run tp ~1 ~ ~

execute if score .seq global matches 285 as @e[tag=yellow_agent,tag=scene5] at @s run tp -510 ~ 455
execute if score .seq global matches 303..333 at @e[tag=yellow_agent] run particle rwm:yellow_trail
execute if score .seq global matches 303 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 306 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 309 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 312 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 315 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 318 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 321 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 324 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 327 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 330 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 333 as @e[tag=yellow_agent,tag=scene5] at @s run tp ~ ~ ~1

execute if score .seq global matches 285 as @e[tag=green_agent,tag=scene5] at @s run tp -512 ~ 455
execute if score .seq global matches 306..333 at @e[tag=green_agent] run particle rwm:green_trail
execute if score .seq global matches 306 as @e[tag=green_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 309 as @e[tag=green_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 312 as @e[tag=green_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 315 as @e[tag=green_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 318 as @e[tag=green_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 321 as @e[tag=green_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 324 as @e[tag=green_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 327 as @e[tag=green_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 330 as @e[tag=green_agent,tag=scene5] at @s run tp ~-1 ~ ~
execute if score .seq global matches 333 as @e[tag=green_agent,tag=scene5] at @s run tp ~-1 ~ ~

execute if score .seq global matches 285 as @e[tag=blue_agent,tag=scene5] at @s run tp -514 ~ 455
execute if score .seq global matches 324..333 at @e[tag=blue_agent] run particle rwm:blue_trail
execute if score .seq global matches 324 as @e[tag=blue_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 327 as @e[tag=blue_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 330 as @e[tag=blue_agent,tag=scene5] at @s run tp ~ ~ ~1
execute if score .seq global matches 333 as @e[tag=blue_agent,tag=scene5] at @s run tp ~ ~ ~1

execute if score .seq global matches 338 as @e[type=rwm:time_agent,tag=scene5] at @s as @e[type=rwm:data,c=1] at @s run tp ~ ~-2 ~
execute if score .seq global matches 338 run event entity @e[type=rwm:nametag,tag=scene5] despawn
execute if score .seq global matches 338 run dialogue change @e[tag=red_agent,tag=scene5] nametag.52.s.1
execute if score .seq global matches 338 run dialogue change @e[tag=yellow_agent,tag=scene5] nametag.52.s.2
execute if score .seq global matches 338 run dialogue change @e[tag=green_agent,tag=scene5] nametag.52.s.3
execute if score .seq global matches 338 run dialogue change @e[tag=blue_agent,tag=scene5] nametag.52.s.4

# Return to player-cam
execute if score .seq global matches 360 run function cont_player
execute if score .seq global matches 360 run tp @s -511 65 449 0 -25

# Pillars
execute if score .seq global matches 380 run structure load 52pillar1 -482 60 468 0_degrees none layer_by_layer 3
execute if score .seq global matches 380 run structure load 52pillar2 -495 60 483 0_degrees none layer_by_layer 3
execute if score .seq global matches 380 run structure load 52pillar3 -515 60 488 0_degrees none layer_by_layer 3
execute if score .seq global matches 380 run structure load 52pillar4 -538 60 482 0_degrees none layer_by_layer 3
execute if score .seq global matches 380 run structure load 52pillar5 -550 60 468 0_degrees none layer_by_layer 3

#execute if score .seq global matches 460 run summon lightning_bolt -477 79 473
#execute if score .seq global matches 460 run summon lightning_bolt -490 86 888
execute if score .seq global matches 460 run summon lightning_bolt -510 93 493
#execute if score .seq global matches 460 run summon lightning_bolt -533 100 487
#execute if score .seq global matches 460 run summon lightning_bolt -545 107 473

execute if score .seq global matches 460 run fill -478 78 472 -476 78 474 beacon replace sponge
execute if score .seq global matches 460 run fill -491 85 487 -489 85 489 beacon replace sponge
execute if score .seq global matches 460 run fill -511 92 492 -509 92 494 beacon replace sponge
execute if score .seq global matches 460 run fill -534 99 486 -532 99 488 beacon replace sponge
execute if score .seq global matches 460 run fill -546 106 472 -544 106 474 beacon replace sponge

# Dialogue 4
execute if score .seq global matches 520 run scoreboard players set .run global 0
execute if score .seq global matches 520 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.52.4a

# Next act
execute if score .seq global matches 521 run scoreboard players set .act global 61
execute if score .seq global matches 521 run function loops/new_act