## Seq for 6-1

execute if score .seq global matches 000 run event entity @e[tag=scene6] despawn

# Send them to the Void Room!
execute if score .seq global matches 000 run scoreboard players set .run global 1
execute if score .seq global matches 000 run effect @s levitation 5 3 true
execute if score .seq global matches 000 run fog @s remove heck
execute if score .seq global matches 000 run fog @s push rwm:heck_short heck
execute if score .seq global matches 000 run inputpermission set @s[tag=!dev] movement disabled

execute if score .seq global matches 100 run tp -509 150 463
execute if score .seq global matches 100 run fog @s remove heck
execute if score .seq global matches 100 run fog @s remove white
execute if score .seq global matches 100 run fog @s push rwm:white_short white

# Swap Dialogues
execute if score .seq global matches 120 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 120 run summon rwm:dialogue_agent ~~~~~ agent agent

# Load in new agent
execute if score .seq global matches 130 positioned -509 150 466 run summon rwm:rainbow_agent ~~~ 180 0 seeplayer
execute if score .seq global matches 130 positioned -509 150 466 run particle rwm:smoke_poof
execute if score .seq global matches 130 positioned -509 150 466 run tag @e[r=0] add scene6
execute if score .seq global matches 130 run tp -509 150 463 0 15

execute if score .seq global matches 131 run scoreboard players set .run global 1

# Dialogue 1
execute if score .seq global matches 190 run scoreboard players set .run global 0
execute if score .seq global matches 190 run dialogue open @s @s[tag=!dialogue] player.61.1a

# Prep player for worldgen dialogue
execute if score .seq global matches 191 run function seq/61_prep_generation
execute if score .seq global matches 191 run scoreboard players add .seq global 1

# Dialogue 2
execute if score .seq global matches 192 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.61.2a

# Start generation sequence
execute if score .seq global matches 193 run scoreboard players set .run global 1

# Fade out
execute if score .seq global matches 213 run scoreboard players set .seq2 global 0
execute if score .seq global matches 213 run scoreboard players add .seq global 1

execute if score .seq global matches 214 run scoreboard players set .run global 0
execute if score .seq global matches 214 run function trans/fade_out

# Worldgen message
execute if score .seq global matches 215 run tellraw @s[tag=61.savanna] {"rawtext":[{"translate":"chat.61.1a","with": ["\n"]}]}
execute if score .seq global matches 215 run tellraw @s[tag=61.taiga]   {"rawtext":[{"translate":"chat.61.1b","with": ["\n"]}]}
execute if score .seq global matches 215 run tellraw @s[tag=61.desert]  {"rawtext":[{"translate":"chat.61.1c","with": ["\n"]}]}
execute if score .seq global matches 215 run tellraw @s[tag=61.forest]  {"rawtext":[{"translate":"chat.61.1d","with": ["\n"]}]}

## Load biome
execute if score .seq global matches 215 run scoreboard players set .run global 0
execute if score .seq global matches 215 if entity @s[tag=61.savanna] run tp 215 90 880 -40 0
execute if score .seq global matches 215 if entity @s[tag=61.taiga]   run tp 230 96 474 15 0
execute if score .seq global matches 215 if entity @s[tag=61.desert]  run tp 215 91 1626 0 0
execute if score .seq global matches 215 if entity @s[tag=61.forest]  run tp 212 83 1304 -165 0
execute if score .seq global matches 215 if entity @s[tag=61.savanna] run spawnpoint @s 215 90 880
execute if score .seq global matches 215 if entity @s[tag=61.taiga]   run spawnpoint @s 230 96 474
execute if score .seq global matches 215 if entity @s[tag=61.desert]  run spawnpoint @s 215 91 1626
execute if score .seq global matches 215 if entity @s[tag=61.forest]  run spawnpoint @s 212 83 1304
execute if score .seq global matches 215 if entity @s[tag=61.savanna] run setworldspawn	215 90 880
execute if score .seq global matches 215 if entity @s[tag=61.taiga]   run setworldspawn	230 96 474
execute if score .seq global matches 215 if entity @s[tag=61.desert]  run setworldspawn	215 91 1626
execute if score .seq global matches 215 if entity @s[tag=61.forest]  run setworldspawn	212 83 1304
#execute if score .seq global matches 215 run tickingarea remove_all	Since the player can restart an area, this is done earlier
execute if score .seq global matches 215 if entity @s[tag=61.savanna] run tickingarea add 157 36 820 286 98 949    savanna
execute if score .seq global matches 215 if entity @s[tag=61.taiga]   run tickingarea add 157 36 424 289 106 557   taiga
execute if score .seq global matches 215 if entity @s[tag=61.desert]  run tickingarea add 157 36 1603 286 100 1732 desert
execute if score .seq global matches 215 if entity @s[tag=61.forest]  run tickingarea add 138 36 1197 286 103 1342 forest
execute if score .seq global matches 215 if entity @s[tag=61.savanna] run schedule on_area_loaded add tickingarea savanna loops/continue
execute if score .seq global matches 215 if entity @s[tag=61.taiga]   run schedule on_area_loaded add tickingarea taiga   loops/continue
execute if score .seq global matches 215 if entity @s[tag=61.desert]  run schedule on_area_loaded add tickingarea desert  loops/continue
execute if score .seq global matches 215 if entity @s[tag=61.forest]  run schedule on_area_loaded add tickingarea forest  loops/continue
execute if score .seq global matches 215 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 223 if entity @s[tag=61.savanna] run function reset/savanna
execute if score .seq global matches 223 if entity @s[tag=61.taiga]   run function reset/taiga
execute if score .seq global matches 223 if entity @s[tag=61.desert]  run function reset/desert
execute if score .seq global matches 223 if entity @s[tag=61.forest]  run function reset/forest

# Swap Dialogues
execute if score .seq global matches 233 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 233 run summon rwm:dialogue_agent ~~~~~ agent agent

# Fade in
execute if score .seq global matches 233 run function trans/fade_in
execute if score .seq global matches 233 run fog @s remove white
execute if score .seq global matches 233 run fog @s push rwm:white_wide white
execute if score .seq global matches 233 run inputpermission set @s[tag=!dev] movement disabled

# Time message
execute if score .seq global matches 273 if entity @s[tag=61.sunrise]  run tellraw @s {"rawtext":[{"translate":"chat.61.2a","with": ["\n"]}]}
execute if score .seq global matches 273 if entity @s[tag=61.noon]     run tellraw @s {"rawtext":[{"translate":"chat.61.2b","with": ["\n"]}]}
execute if score .seq global matches 273 if entity @s[tag=61.sunset]   run tellraw @s {"rawtext":[{"translate":"chat.61.2c","with": ["\n"]}]}
execute if score .seq global matches 273 if entity @s[tag=61.midnight] run tellraw @s {"rawtext":[{"translate":"chat.61.2d","with": ["\n"]}]}

# Change time
execute if score .seq global matches 273 if entity @s[tag=61.sunrise]  run time set sunrise
execute if score .seq global matches 273 if entity @s[tag=61.noon]     run time set noon
execute if score .seq global matches 273 if entity @s[tag=61.sunset]   run time set sunset
execute if score .seq global matches 273 if entity @s[tag=61.midnight] run time set midnight

# Structure message
execute if score .seq global matches 313 if entity @s[tag=61.town]     run tellraw @s {"rawtext":[{"translate":"chat.61.3a","with": ["\n"]}]}
execute if score .seq global matches 313 if entity @s[tag=61.monument] run tellraw @s {"rawtext":[{"translate":"chat.61.3b","with": ["\n"]}]}
execute if score .seq global matches 313 if entity @s[tag=61.home]     run tellraw @s {"rawtext":[{"translate":"chat.61.3c","with": ["\n"]}]}
execute if score .seq global matches 313 if entity @s[tag=!61.town,tag=!61.monument,tag=!61.home] run scoreboard players add .seq global 140

# Generate Structure
execute if score .seq global matches 313 run function seq/61_generate_structure

# Entity spawn message
execute if score .seq global matches 453 if entity @s[tag=61.villagers] run tellraw @s {"rawtext":[{"translate":"chat.61.4a","with": ["\n"]}]}
execute if score .seq global matches 453 if entity @s[tag=61.mobs]      run tellraw @s {"rawtext":[{"translate":"chat.61.4b","with": ["\n"]}]}
execute if score .seq global matches 453 if entity @s[tag=61.animals]   run tellraw @s {"rawtext":[{"translate":"chat.61.4c","with": ["\n"]}]}
execute if score .seq global matches 453 if entity @s[tag=!61.town,tag=!61.monument,tag=!61.home] run scoreboard players add .seq global 40

# Spawn entities
execute if score .seq global matches 453 run function seq/61_spawn_entities

# Gamemode message
execute if score .seq global matches 493 if entity @s[tag=61.survival]  run tellraw @s {"rawtext":[{"translate":"chat.61.5a","with": ["\n"]}]}
execute if score .seq global matches 493 if entity @s[tag=61.creative]  run tellraw @s {"rawtext":[{"translate":"chat.61.5b","with": ["\n"]}]}
execute if score .seq global matches 493 if entity @s[tag=61.adventure] run tellraw @s {"rawtext":[{"translate":"chat.61.5c","with": ["\n"]}]}

# Set gamemode
execute if score .seq global matches 493 if entity @s[tag=61.survival]  run gamemode s
execute if score .seq global matches 493 if entity @s[tag=61.creative]  run gamemode c
execute if score .seq global matches 493 if entity @s[tag=61.adventure] run gamemode a

# Difficulty message
execute if score .seq global matches 533 if entity @s[tag=61.peaceful] run tellraw @s {"rawtext":[{"translate":"chat.61.6a","with": ["\n"]}]}
execute if score .seq global matches 533 if entity @s[tag=61.normal]   run tellraw @s {"rawtext":[{"translate":"chat.61.6c","with": ["\n"]}]}
execute if score .seq global matches 533 if entity @s[tag=61.hard]     run tellraw @s {"rawtext":[{"translate":"chat.61.6d","with": ["\n"]}]}

# Set difficulty
execute if score .seq global matches 533 if entity @s[tag=61.peaceful] run difficulty p
execute if score .seq global matches 533 if entity @s[tag=61.normal]   run difficulty n
execute if score .seq global matches 533 if entity @s[tag=61.hard]     run difficulty h

# Dialogue 3
execute if score .seq global matches 570 run scoreboard players set .run global 0
execute if score .seq global matches 570 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.61.3a

# Prep for freeplay
execute if score .seq global matches 571 run inputpermission set @s movement enabled
execute if score .seq global matches 571 run inputpermission set @s camera enabled
execute if score .seq global matches 571 run event entity @e[tag=61.agent] activate
execute if score .seq global matches 571 run function seq/61_freeplay_gamerules

# Set codebuilder
execute if score .seq global matches 571 run tp @c @s
execute if score .seq global matches 571 run kill @c
execute if score .seq global matches 571 run codebuilder navigate @s[tag=!python] false https://minecraft.makecode.com/
execute if score .seq global matches 571 run codebuilder navigate @s[tag=python]  false https://notebooks.minecrafteduservices.com/prod/index.html

# Next act
execute if score .seq global matches 571 run scoreboard players set .act global 62
execute if score .seq global matches 571 run function loops/new_act