## Reset World

# Gamerules / world settings
gamerule sendcommandfeedback false
gamerule commandblockoutput false
gamerule dodaylightcycle false
gamerule doentitydrops false
gamerule dofiretick false
gamerule doinsomnia false
gamerule domobloot false
gamerule domobspawning false
gamerule dotiledrops false
gamerule doweathercycle false
gamerule drowningdamage false
gamerule falldamage false
gamerule firedamage false
gamerule freezedamage false
gamerule mobgriefing false
gamerule pvp false
gamerule randomtickspeed 0
gamerule showbordereffect false
gamerule showcoordinates false
gamerule spawnradius 0
gamerule tntexplodes false
gamerule showtags false
time set noon
difficulty peaceful
weather clear
setworldspawn -31 60 -31

# Scoreboards
scoreboard objectives add global dummy
scoreboard objectives add anim dummy
scoreboard objectives remove sidebar.32.name
# Init the tutorial scoreboards
function tut/init

# Reset seat
scoreboard players set .seat global 0

# Pause/reset sequence
scoreboard players set .run global 0
scoreboard players set .seq global 0

## Run on newly-spawned players
# Added to global reset for singleplayer

# Clear Inventory
clear @s

# Set gamemode
gamemode adventure

# Clear effect
effect @s clear

## Reset player tags
# Control scheme tags
tag @s remove keyboard
tag @s remove touch
# Dialogue tag
tag @s remove dialogue
# Codebuilder run check
tag @s remove code_started
# Code selection tag
tag @s remove python
# 2-1 reset button
tag @s remove 21.reset_button
# 3-1 reset button
tag @s remove 31.reset_button
# 3-2 fog tracker
tag @s remove 32.fog
# Player opened utility box during 3-2 activity
tag @s remove 32.opened_box
# 4-1 prompt tags
tag @s remove 41.rope
tag @s remove 41.straight
tag @s remove 41.tall

tag @s remove 41.wood
tag @s remove 41.metal
tag @s remove 41.wool

tag @s remove 41.small
tag @s remove 41.med
tag @s remove 41.big
# 4-2 correct prompt choice tag
tag @s remove 42.lock_dialogue
tag @s remove 42.disp_dialogue
tag @s remove 42.corr_dialogue
# 5-2 activity tags
tag @s remove 52.obj1
tag @s remove 52.obj2
tag @s remove 52.obj3
tag @s remove 52.obj4
tag @s remove 52.wrong_answer
# 6-1 generation tags
tag @s remove 61.savanna
tag @s remove 61.taiga
tag @s remove 61.desert
tag @s remove 61.forest

tag @s remove 61.sunrise
tag @s remove 61.noon
tag @s remove 61.sunset
tag @s remove 61.midnight

tag @s remove 61.town
tag @s remove 61.monument
tag @s remove 61.home

tag @s remove 61.villagers
tag @s remove 61.mobs
tag @s remove 61.animals

tag @s remove 61.survival
tag @s remove 61.creative
tag @s remove 61.adventure

tag @s remove 61.peaceful
tag @s remove 61.normal
tag @s remove 61.hard

# Fog
fog @s remove heck
fog @s remove white

# Reset codebuilder
codebuilder navigate @s false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/no_code
codebuilder runtime stop @s

# Give "spawned" tag
# Not needed in singleplayer
#tag @s add spawned