## Reset scene3

# Eliminate old entities
tp @e[tag=scene3] ~ 0 ~
event entity @e[tag=scene3] despawn

# Misc placeholder cleanup
#fill 129 68 -582 209 85 -510 air replace birch_standing_sign
fill 135 73 -556 119 76 -556 air replace barrier
fill 127 76 -520 235 76 -468 air replace barrier

# Anti-softlock
fill 144 0 -520 144 0 -514 border_block

# Door blockers
summon rwm:door_blocker 193.0 71 -512
summon rwm:door_blocker 172 72 -512
summon rwm:door_blocker 152.0 71 -512

summon rwm:door_blocker 159 71 -554
summon rwm:door_blocker 114 71 -563
summon rwm:door_blocker 115 71 -584

summon rwm:door_blocker 220 71 -582
summon rwm:door_blocker 222 71 -554
tag @e[type=!player,family=!dialogue,x=114,y=71,z=-584,dx=108,dy=1,dz=72,tag=!scene2] add scene3

# Interactable Birds
#fill 195 72 -520 195 72 -519 air
execute positioned 195 73 -520 run summon rwm:robocrow ~~~ 180 0
execute positioned 195 73 -520 run tag @e[r=0] add bird1
#fill 132 72 -564 131 72 -564 air
#execute positioned 132 72 -564 run summon rwm:robocrow ~~~ -90 0 state1
#execute positioned 132 72 -564 run tag @e[r=0] add bird2
fill 205 72 -553 206 72 -553 air
#execute positioned 205 72 -553 run summon rwm:robocrow ~~~ 90 0 state1
#execute positioned 205 72 -553 run event entity @e[r=0] trash
#execute positioned 205 72 -553 run tag @e[r=0] add bird3

# Trash
summon rwm:trash_pile 130   72 -562 -156 ~ high_trash
summon rwm:trash_pile 205.0 72 -553 33   ~ high_trash
summon rwm:trash_pile 208   72 -551 79   ~ high_trash

summon rwm:trash_pile 185 72 -541 130 ~ med_trash
summon rwm:trash_pile 181 72 -540 -1  ~ med_trash

summon rwm:trash_pile 196 72 -521 -21 ~ med_trash
summon rwm:trash_pile 193 72 -518 140 ~ med_trash
summon rwm:trash_pile 197 72 -517 161 ~ med_trash

summon rwm:trash_pile 133 72 -563 81   ~ med_trash
summon rwm:trash_pile 131 72 -560 -153 ~ med_trash
summon rwm:trash_pile 129 72 -564 161  ~ med_trash

summon rwm:trash_pile 205 72 -550 142 ~ med_trash
summon rwm:trash_pile 208 72 -554 159 ~ med_trash
summon rwm:trash_pile 202 72 -555 -3  ~ med_trash

summon rwm:trash_pile 790 71 -538 -147
summon rwm:trash_pile 189 71 -532 -141
summon rwm:trash_pile 197 71 -530 -168
summon rwm:trash_pile 193 72 -525 6 ~ med_trash
summon rwm:trash_pile 197 72 -524 92
summon rwm:trash_pile 193 71 -537 49
summon rwm:trash_pile 185 71 -528 -85
summon rwm:trash_pile 179 71 -528 74
summon rwm:trash_pile 176 71 -534 176 ~ med_trash
summon rwm:trash_pile 169 71 -533 36
summon rwm:trash_pile 167 71 -536 -121
summon rwm:trash_pile 162 71 -536 -119
summon rwm:trash_pile 164 72 -540 88 ~ med_trash
summon rwm:trash_pile 159 72 -541 122
summon rwm:trash_pile 156 72 -544 90
summon rwm:trash_pile 154 72 -541 80 ~ med_trash
summon rwm:trash_pile 151 72 -544 130
summon rwm:trash_pile 147 71 -543 45
summon rwm:trash_pile 146 71 -546 -123 ~ med_trash
summon rwm:trash_pile 144 71 -551 -48
summon rwm:trash_pile 141 71 -552 -132
summon rwm:trash_pile 142 71 -557 36
summon rwm:trash_pile 138 71 -557 -3
summon rwm:trash_pile 135 72 -560 126 ~ med_trash
summon rwm:trash_pile 135 72 -566 -67
summon rwm:trash_pile 139 71 -568 176
summon rwm:trash_pile 143 71 -565 61 ~ med_trash
summon rwm:trash_pile 147 71 -568 -6
summon rwm:trash_pile 149 71 -566 -87
summon rwm:trash_pile 153 72 -568 29
summon rwm:trash_pile 157 72 -566 156 ~ med_trash
summon rwm:trash_pile 161 71 -569 -146
summon rwm:trash_pile 166 72 -567 177
summon rwm:trash_pile 170 72 -565 44 ~ med_trash
summon rwm:trash_pile 174 71 -568 -38
summon rwm:trash_pile 179 72 -567 91
summon rwm:trash_pile 183 72 -567 -48
summon rwm:trash_pile 186 72 -564 -17 ~ med_trash
summon rwm:trash_pile 191 71 -563 153 ~ med_trash
summon rwm:trash_pile 193 71 -558 -6
summon rwm:trash_pile 198 71 -559 148
summon rwm:trash_pile 196 71 -553 -113 ~ med_trash
summon rwm:trash_pile 201 72 -551 71
summon rwm:trash_pile 204 72 -546 -144
summon rwm:trash_pile 202 72 -543 -138
summon rwm:trash_pile 198 71 -544 -63
summon rwm:trash_pile 197 71 -538 -37

# Utility Boxes
fill 206 72 -544 205 72 -544 air
execute positioned 206 72 -544 run summon rwm:utility_box ~~~ 90 0
execute positioned 206 72 -544 run tag @e[r=0] add box1
fill 208 72 -514 207 72 -514 air
execute positioned 208 72 -514 run summon rwm:utility_box ~~~ 90 0
execute positioned 208 72 -514 run tag @e[r=0] add box2

# Utility Truck
#structure save 42utilitytruck 174 71 -536 182 74 -534 false disk true
structure load 42utilitytruck 174 71 -536
summon rwm:utility_truck 178 71 -535 -90 0

# Dumpster
fill 202 72 -510 206 73 -512 barrier
fill 202 74 -510 206 74 -512 air
fill 205 72 -513 203 73 -513 air
execute positioned 204 72 -511 run summon rwm:dumpster ~~~ 180 0
execute positioned 204 72 -511 run summon rwm:invis_interact ~~~ 0 0 5x_collision
execute positioned 204 72 -511 run tag @e[r=0] add dumpster

# Seat
execute positioned 178 75 -543 run summon rwm:seat ~~~ 0 0
execute positioned 178 75 -543 run tag @e[r=0] add seat1

# Tag new entities
tag @e[type=!player,family=!dialogue,x=129,y=68,z=-582,dx=80,dy=17,dz=72,tag=!scene2] add scene3