## Seq for 3-1

# Bring in agent
execute if score .seq global matches 004..040 run tp @c -511 80 161 0 0

# Return to pillar
execute if score .seq global matches 020..044 unless entity @s[y=79,dy=100] run tp @s[tag=!dev] -511 82 156

# Skybox tracking (riding the player makes it act weird)
tp @e[type=rwm:skysphere,tag=trans3] ~ ~1 ~

# Agent OOB check
execute at @c if entity @c[z=158,dz=2] run tp @c ~ ~ ~1
execute at @c if entity @c[z=170,dz=2] run tp @c ~ ~ ~-1
execute at @c if entity @c[y=76,dy=2] run tp @c ~ ~1 ~
execute at @c if entity @c[y=100,dy=2] run tp @c ~ ~-1 ~

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run fog @s remove heck
execute if score .seq global matches 000 run fog @s push rwm:heck heck
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

# Deactivate sprinklers
execute if score .seq global matches 002 run event entity @e[type=rwm:sprinkler] sprinkler_working

## Load trans3
execute if score .seq global matches 002 run tp -511 80 156 0 0
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add -516 57 151 -506 100 179 trans3
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea trans3 loops/continue
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run function reset/trans3

# Swap Dialogues
execute if score .seq global matches 020 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 020 run summon rwm:dialogue_time_agent ~~~~~ agent3 agent3
execute if score .seq global matches 020 run summon rwm:dialogue_agent ~~~~~ agent agent

# Fade in
execute if score .seq global matches 020 run function trans/fade_in
execute if score .seq global matches 020 run function cont_player

# Dialogue 1
execute if score .seq global matches 040 run scoreboard players set .run global 0
execute if score .seq global matches 040 run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.31.1a

# Set/open codebuilder
execute if score .seq global matches 041 run codebuilder navigate @s[tag=!python] false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/pillar3
execute if score .seq global matches 041 run codebuilder navigate @s[tag=python]  false https://notebooks.minecrafteduservices.com/everglade/ci/index.html?lesson=https://notebooks.minecrafteduservices.com/everglade/content/row/master/hoc2023/pillar3.json
execute if score .seq global matches 041 run scoreboard players add .seq global 1

# OBJ: Build a Bridge
#execute if score .seq global matches 042 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.31.1","with": ["\n"]}]}
execute if score .seq global matches 042 run titleraw @s[tag=!code.in_progress,tag=!touch] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.52.1.k","with": ["\n"]}]}
execute if score .seq global matches 042 run titleraw @s[tag=!code.in_progress,tag=touch]  actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.52.1.t","with": ["\n"]}]}
execute if score .seq global matches 042 if score .output global matches 9 run function seq/31_reset

# Reset button
execute if score .seq global matches 042 if entity @s[codebuilder={code_status="succeeded"},tag=!31.reset_button] run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.31.check
execute if score .seq global matches 042 if entity @s[codebuilder={code_status="error"},tag=!31.reset_button]     run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.31.check

execute if score .seq global matches 042 if block -513 81 157 stone_button["button_pressed_bit"=true,"facing_direction"=2] run dialogue open @e[family=dialogue,c=1,name=agent] @s[tag=!dialogue] agent.31.reset
execute if score .seq global matches 042 if block -513 81 157 stone_button["button_pressed_bit"=true,"facing_direction"=2] run setblock -513 81 157 stone_button["button_pressed_bit"=false,"facing_direction"=2]

# Detect completion
execute if score .seq global matches 042 if entity @s[x=-512,y=79,z=173,dx=2,dy=5,dz=2] run scoreboard players add .seq global 1

# Reset codebuilder
execute if score .seq global matches 043 run codebuilder navigate @s false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/no_code
execute if score .seq global matches 043 run scoreboard players add .seq global 1

# Dialogue 2
execute if score .seq global matches 044 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.31.2a

# Drop 'em
execute if score .seq global matches 045 run scoreboard players set .run global 1
execute if score .seq global matches 045 run fill -510 79 176 -512 79 172 air destroy
execute if score .seq global matches 045 run fill -513 79 175 -509 79 173 air destroy
execute if score .seq global matches 045 run fog @s remove heck
execute if score .seq global matches 045 run fog @s push rwm:heck_short heck

execute if score .seq global matches 080 run tp -511 38 174
execute if score .seq global matches 080 run inputpermission set @s[tag=!dev] movement disabled
execute if score .seq global matches 080 positioned -511 39 174 run summon rwm:dropper_transit 
execute if score .seq global matches 080 positioned -511 39 174 run tag @e[r=0,type=rwm:dropper_transit] add trans3

execute if score .seq global matches 080.. run particle rwm:falling

# Eliminate the sky sphere
execute if score .seq global matches 300 run event entity @e[type=rwm:skysphere,tag=trans3] despawn

# Next act
execute if score .seq global matches 300 run scoreboard players set .act global 32
execute if score .seq global matches 300 run function loops/new_act