## Seq for 3-2

# Camera control
execute if score .seat global matches 1 run ride @s start_riding @e[tag=scene3,tag=seat1]

# Get rid of that darn skysphere once and for all
event entity @e[type=rwm:skysphere,r=100] despawn

# Border effects
execute unless entity @s[x=106,z=-597,dx=115,dz=110] run fog @s[tag=!32.fog] remove white
execute unless entity @s[x=106,z=-597,dx=115,dz=110] run fog @s[tag=!32.fog] push rwm:white white
execute unless entity @s[x=106,z=-597,dx=115,dz=110] run tag @s[tag=!32.fog] add 32.fog
fog @s[x=106,z=-597,dx=115,dz=110,tag=32.fog] remove white
fog @s[x=106,z=-597,dx=115,dz=110,tag=32.fog] push rwm:white_wide white
tag @s[x=106,z=-597,dx=115,dz=110,tag=32.fog] remove 32.fog
execute if block ~1 76 ~ barrier run particle rwm:border_1 ~.5 ~ ~
execute if block ~-1 76 ~ barrier run particle rwm:border_1 ~-.5 ~ ~
execute if block ~ 76 ~1 barrier run particle rwm:border_2 ~ ~ ~.5
execute if block ~ 76 ~-1 barrier run particle rwm:border_2 ~ ~ ~-.5

# Fade out
execute if score .seq global matches 0000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 0000 run scoreboard players add .seq global 1

execute if score .seq global matches 0001 run function trans/fade_out

## Load scene3
execute if score .seq global matches 0002 run fog @s remove heck
execute if score .seq global matches 0002 run fog @s push rwm:white_wide white
execute if score .seq global matches 0002 run tp 184 73 -543 0 10
execute if score .seq global matches 0002 run tickingarea remove_all
execute if score .seq global matches 0002 run tickingarea add 129 68 -582 209 85 -510 scene3
execute if score .seq global matches 0002 run schedule on_area_loaded add tickingarea scene3 loops/continue
execute if score .seq global matches 0002 run function cont_camera
execute if score .seq global matches 0002 run scoreboard players set .seat global 1
execute if score .seq global matches 0002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 0010 run function reset/scene3

# Swap Dialogues
execute if score .seq global matches 0020 run event entity @e[family=dialogue] despawn
execute if score .seq global matches 0020 run summon rwm:dialogue_time_agent ~~~~~ agent3 agent3

# Fade in
execute if score .seq global matches 0020 run event entity @e[type=rwm:utility_truck] cutscene
execute if score .seq global matches 0020 run function trans/fade_in

# Switch to player's perspective
execute if score .seq global matches 0200 run event entity @e[type=rwm:utility_truck] cutscene
execute if score .seq global matches 0200 run function cont_player
execute if score .seq global matches 0200 run tp @s 179 72 -539 -90 0
execute if score .seq global matches 0200 run replaceitem entity @a slot.hotbar 0 rwm:tablet 1 0 {"minecraft:item_lock":{"mode":"lock_in_slot"}}

# Dialogue 1
execute if score .seq global matches 0240 run scoreboard players set .run global 0
execute if score .seq global matches 0240 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.1a

# Activate Utility Box
execute if score .seq global matches 0241 run event entity @e[type=rwm:utility_box,tag=scene3] activate
execute if score .seq global matches 0241 run scoreboard players add .seq global 1

# OBJ: Interact with Utility Box
execute if score .seq global matches 0242 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.1","with": ["\n"]}]}
execute if score .seq global matches 0242 if score .slowcount global matches 1000 at @e[type=rwm:utility_box,tag=scene3,tag=box1] run particle rwm:interact ~ ~1.5 ~

# Open Utility Box
execute if score .seq global matches 0243 run scoreboard players set .run global 1
execute if score .seq global matches 0243 run event entity @e[type=rwm:utility_box,tag=scene3] deactivate
execute if score .seq global matches 0243 run event entity @e[type=rwm:utility_box,tag=scene3,c=1] open

# Get first code
execute if score .seq global matches 0276 run codebuilder navigate @s[tag=!python] true https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/scene3a
execute if score .seq global matches 0276 run codebuilder navigate @s[tag=python]  true https://notebooks.minecrafteduservices.com/everglade/ci/index.html?lesson=https://notebooks.minecrafteduservices.com/everglade/content/row/master/hoc2023/scene3a.json

# Set up sidebar
execute if score .seq global matches 0276 run scoreboard objectives add sidebar.32.name dummy
execute if score .seq global matches 0276 if entity @s[tag=!touch] run scoreboard objectives setdisplay sidebar sidebar.32.name
execute if score .seq global matches 0276 run scoreboard players set sidebar.32.blank sidebar.32.name 12347
execute if score .seq global matches 0276 run scoreboard players set subtitle.32.1c sidebar.32.name 12346
execute if score .seq global matches 0276 run scoreboard players set subtitle.32.2c sidebar.32.name 12345
execute if score .seq global matches 0276 run scoreboard players set subtitle.32.3c sidebar.32.name 12344

# Exit code if they run it early
execute if score .seq global matches 0276..976 run codebuilder runtime stop @s[codebuilder={code_status="in_progress"}]

# Dialogue 2
execute if score .seq global matches 0277 run scoreboard players set .run global 0
execute if score .seq global matches 0277 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.2a

# Close utility box + spawn moving bird 0
execute if score .seq global matches 0278 run event entity @e[type=rwm:utility_box,tag=scene3] close
execute if score .seq global matches 0278 positioned 195 72 -557 run summon rwm:robocrow ~~~ 0 0 state5
execute if score .seq global matches 0278 positioned 195 72 -557 run tag @e[r=0] add moving_bird0a
execute if score .seq global matches 0278 positioned 195 72 -557 run tag @e[r=0] add scene3
execute if score .seq global matches 0278 run scoreboard players add .seq global 1

# OBJ: Approach Bird 1
execute if score .seq global matches 0279 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.2","with": ["\n"]}]}
execute if score .seq global matches 0279 if entity @e[tag=bird1,r=10] run scoreboard players add .seq global 1
execute if score .seq global matches 0279..282 if score .slowcount global matches 1000 at @e[tag=bird1,tag=scene3] run particle rwm:interact ~ ~1.5 ~

# Bird Flight
execute if score .seq global matches 0279.. as @e[tag=moving_bird0a] at @s run function seq/32_bird_route_0a
execute if score .seq global matches 0279.. as @e[tag=moving_bird0b] at @s run function seq/32_bird_route_0b
execute if score .seq global matches 0279.. as @e[tag=moving_bird0c] at @s run function seq/32_bird_route_0c

# Dialogue 3
execute if score .seq global matches 0280 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.3a

# Activate Bird 1
execute if score .seq global matches 0281 run event entity @e[tag=bird1,tag=scene3] activate
execute if score .seq global matches 0281 run scoreboard players add .seq global 1

# OBJ: Interact with Bird 1
execute if score .seq global matches 0282 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.3","with": ["\n"]}]}

# Decode first word
execute if score .seq global matches 0283 run scoreboard players set .run global 1
execute if score .seq global matches 0283 run titleraw @s times 10 40 10
execute if score .seq global matches 0283 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.1a","with": ["\n"]}]}
execute if score .seq global matches 0283 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0323 run titleraw @s times 0 40 10
execute if score .seq global matches 0323 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.1b","with": ["\n"]}]}
execute if score .seq global matches 0323 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0363 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.1c","with": ["\n"]}]}
execute if score .seq global matches 0363 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0373 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.1d","with": ["\n"]}]}
execute if score .seq global matches 0373 run scoreboard players reset subtitle.32.1c
execute if score .seq global matches 0373 run scoreboard players set subtitle.32.1d sidebar.32.name 12346
execute if score .seq global matches 0373 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0383 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.1e","with": ["\n"]}]}
execute if score .seq global matches 0383 run scoreboard players reset subtitle.32.1d
execute if score .seq global matches 0383 run scoreboard players set subtitle.32.1e sidebar.32.name 12346
execute if score .seq global matches 0383 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0393 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.1f","with": ["\n"]}]}
execute if score .seq global matches 0393 run scoreboard players reset subtitle.32.1e
execute if score .seq global matches 0393 run scoreboard players set subtitle.32.1f sidebar.32.name 12346
execute if score .seq global matches 0393 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0403 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.1g","with": ["\n"]}]}
execute if score .seq global matches 0403 run scoreboard players reset subtitle.32.1f
execute if score .seq global matches 0403 run scoreboard players set subtitle.32.1g sidebar.32.name 12346
execute if score .seq global matches 0403 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0413 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.1h","with": ["\n"]}]}
execute if score .seq global matches 0413 run scoreboard players reset subtitle.32.1g
execute if score .seq global matches 0413 run scoreboard players set subtitle.32.1h sidebar.32.name 12346
execute if score .seq global matches 0413 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0423 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.1i","with": ["\n"]}]}
execute if score .seq global matches 0423 run scoreboard players reset subtitle.32.1h
execute if score .seq global matches 0423 run scoreboard players set subtitle.32.1i sidebar.32.name 12346
execute if score .seq global matches 0423 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0433 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.1j","with": ["\n"]}]}
execute if score .seq global matches 0433 run scoreboard players reset subtitle.32.1i
execute if score .seq global matches 0433 run scoreboard players set subtitle.32.1j sidebar.32.name 12346
execute if score .seq global matches 0433 run titleraw @s title {"rawtext":[{"text":" "}]}

# Dialogue 4
execute if score .seq global matches 0483 run scoreboard players set .run global 0
execute if score .seq global matches 0483 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.4a

# Spawn the first moving bird / second static bird
execute if score .seq global matches 0484 positioned 195 72 -518 run summon rwm:robocrow ~~~ 180 0 state2
execute if score .seq global matches 0484 positioned 195 72 -518 run tag @e[r=0] add moving_bird1
execute if score .seq global matches 0484 positioned 195 72 -518 run tag @e[r=0] add scene3

execute if score .seq global matches 0484 positioned 132 72 -564 run summon rwm:robocrow ~~~ -90 0 state1
execute if score .seq global matches 0484 positioned 132 72 -564 run tag @e[r=0] add bird2
execute if score .seq global matches 0484 positioned 132 72 -564 run tag @e[r=0] add scene3

execute if score .seq global matches 0484 run scoreboard players add .seq global 1

# Bird Flight
execute if score .seq global matches 0485.. as @e[tag=moving_bird1] at @s run function seq/32_bird_route_1

# OBJ: Approach Bird 2
execute if score .seq global matches 0485 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.4","with": ["\n"]}]}
execute if score .seq global matches 0485 if entity @e[tag=bird2,r=10] run scoreboard players add .seq global 1
execute if score .seq global matches 0485..0488 if score .slowcount global matches 1000 at @e[tag=bird2,tag=scene3] run particle rwm:interact ~ ~2 ~

# Dialogue 5
execute if score .seq global matches 0486 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.5a

# Activate Bird 2
execute if score .seq global matches 0487 run event entity @e[tag=bird2,tag=scene3] activate
execute if score .seq global matches 0487 run scoreboard players add .seq global 1

# OBJ: Interact with Bird 2
execute if score .seq global matches 0488 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.5","with": ["\n"]}]}

# Decode second word
execute if score .seq global matches 0489 run scoreboard players set .run global 1
execute if score .seq global matches 0489 run titleraw @s times 10 40 10
execute if score .seq global matches 0489 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2a","with": ["\n"]}]}
execute if score .seq global matches 0489 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0529 run titleraw @s times 0 40 10
execute if score .seq global matches 0529 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2b","with": ["\n"]}]}
execute if score .seq global matches 0529 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0569 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2c","with": ["\n"]}]}
execute if score .seq global matches 0569 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0579 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2d","with": ["\n"]}]}
execute if score .seq global matches 0579 run scoreboard players reset subtitle.32.2c
execute if score .seq global matches 0579 run scoreboard players set subtitle.32.2d sidebar.32.name 12345
execute if score .seq global matches 0579 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0589 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2e","with": ["\n"]}]}
execute if score .seq global matches 0589 run scoreboard players reset subtitle.32.2d
execute if score .seq global matches 0589 run scoreboard players set subtitle.32.2e sidebar.32.name 12345
execute if score .seq global matches 0589 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0599 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2f","with": ["\n"]}]}
execute if score .seq global matches 0599 run scoreboard players reset subtitle.32.2e
execute if score .seq global matches 0599 run scoreboard players set subtitle.32.2f sidebar.32.name 12345
execute if score .seq global matches 0599 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0609 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2g","with": ["\n"]}]}
execute if score .seq global matches 0609 run scoreboard players reset subtitle.32.2f
execute if score .seq global matches 0609 run scoreboard players set subtitle.32.2g sidebar.32.name 12345
execute if score .seq global matches 0609 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0619 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2h","with": ["\n"]}]}
execute if score .seq global matches 0619 run scoreboard players reset subtitle.32.2g
execute if score .seq global matches 0619 run scoreboard players set subtitle.32.2h sidebar.32.name 12345
execute if score .seq global matches 0619 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0629 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2i","with": ["\n"]}]}
execute if score .seq global matches 0629 run scoreboard players reset subtitle.32.2h
execute if score .seq global matches 0629 run scoreboard players set subtitle.32.2i sidebar.32.name 12345
execute if score .seq global matches 0629 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0639 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2j","with": ["\n"]}]}
execute if score .seq global matches 0639 run scoreboard players reset subtitle.32.2i
execute if score .seq global matches 0639 run scoreboard players set subtitle.32.2j sidebar.32.name 12345
execute if score .seq global matches 0639 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0649 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2k","with": ["\n"]}]}
execute if score .seq global matches 0649 run scoreboard players reset subtitle.32.2j
execute if score .seq global matches 0649 run scoreboard players set subtitle.32.2k sidebar.32.name 12345
execute if score .seq global matches 0649 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0659 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2l","with": ["\n"]}]}
execute if score .seq global matches 0659 run scoreboard players reset subtitle.32.2k
execute if score .seq global matches 0659 run scoreboard players set subtitle.32.2l sidebar.32.name 12345
execute if score .seq global matches 0659 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0669 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.2m","with": ["\n"]}]}
execute if score .seq global matches 0669 run scoreboard players reset subtitle.32.2l
execute if score .seq global matches 0669 run scoreboard players set subtitle.32.2m sidebar.32.name 12345
execute if score .seq global matches 0669 run titleraw @s title {"rawtext":[{"text":" "}]}

# Dialogue 6
execute if score .seq global matches 0719 run scoreboard players set .run global 0
execute if score .seq global matches 0719 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.6a

# Spawn the second moving bird / third static bird
execute if score .seq global matches 0720 positioned 136 72 -556 run summon rwm:robocrow ~~~ 180 0 state3
execute if score .seq global matches 0720 positioned 136 72 -556 run tag @e[r=0] add moving_bird2
execute if score .seq global matches 0720 positioned 136 72 -556 run tag @e[r=0] add scene3

execute if score .seq global matches 0720 positioned 205 72 -553 run summon rwm:robocrow ~~~ 90 0 state1
execute if score .seq global matches 0720 positioned 205 72 -553 run event entity @e[r=0] trash
execute if score .seq global matches 0720 positioned 205 72 -553 run tag @e[r=0] add bird3
execute if score .seq global matches 0720 positioned 205 72 -553 run tag @e[r=0] add scene3

execute if score .seq global matches 0720 run scoreboard players add .seq global 1

# Bird Flight
execute if score .seq global matches 0721.. as @e[tag=moving_bird2] at @s run function seq/32_bird_route_2

# OBJ: Approach Bird 3
execute if score .seq global matches 0721 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.6","with": ["\n"]}]}
execute if score .seq global matches 0721 if entity @e[tag=bird3,r=10] run scoreboard players add .seq global 1
execute if score .seq global matches 0721..0724 if score .slowcount global matches 1000 at @e[tag=bird3,tag=scene3] run particle rwm:interact ~ ~2 ~

# Dialogue 7
execute if score .seq global matches 0722 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.7a

# Activate Bird 3
execute if score .seq global matches 0723 run event entity @e[tag=bird3,tag=scene3] activate
execute if score .seq global matches 0723 run scoreboard players add .seq global 1

# OBJ: Interact with Bird 3
execute if score .seq global matches 0724 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.7","with": ["\n"]}]}

# Decode third word
execute if score .seq global matches 0725 run scoreboard players set .run global 1
execute if score .seq global matches 0725 run titleraw @s times 10 40 10
execute if score .seq global matches 0725 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3a","with": ["\n"]}]}
execute if score .seq global matches 0725 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0765 run titleraw @s times 0 40 10
execute if score .seq global matches 0765 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3b","with": ["\n"]}]}
execute if score .seq global matches 0765 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0805 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3c","with": ["\n"]}]}
execute if score .seq global matches 0805 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0815 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3d","with": ["\n"]}]}
execute if score .seq global matches 0815 run scoreboard players reset subtitle.32.3c
execute if score .seq global matches 0815 run scoreboard players set subtitle.32.3d sidebar.32.name 12344
execute if score .seq global matches 0815 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0825 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3e","with": ["\n"]}]}
execute if score .seq global matches 0825 run scoreboard players reset subtitle.32.3d
execute if score .seq global matches 0825 run scoreboard players set subtitle.32.3e sidebar.32.name 12344
execute if score .seq global matches 0825 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0835 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3f","with": ["\n"]}]}
execute if score .seq global matches 0835 run scoreboard players reset subtitle.32.3e
execute if score .seq global matches 0835 run scoreboard players set subtitle.32.3f sidebar.32.name 12344
execute if score .seq global matches 0835 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0845 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3g","with": ["\n"]}]}
execute if score .seq global matches 0845 run scoreboard players reset subtitle.32.3f
execute if score .seq global matches 0845 run scoreboard players set subtitle.32.3g sidebar.32.name 12344
execute if score .seq global matches 0845 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0855 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3h","with": ["\n"]}]}
execute if score .seq global matches 0855 run scoreboard players reset subtitle.32.3g
execute if score .seq global matches 0855 run scoreboard players set subtitle.32.3h sidebar.32.name 12344
execute if score .seq global matches 0855 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0865 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3i","with": ["\n"]}]}
execute if score .seq global matches 0865 run scoreboard players reset subtitle.32.3h
execute if score .seq global matches 0865 run scoreboard players set subtitle.32.3i sidebar.32.name 12344
execute if score .seq global matches 0865 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0875 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3j","with": ["\n"]}]}
execute if score .seq global matches 0875 run scoreboard players reset subtitle.32.3i
execute if score .seq global matches 0875 run scoreboard players set subtitle.32.3j sidebar.32.name 12344
execute if score .seq global matches 0875 run titleraw @s title {"rawtext":[{"text":" "}]}
execute if score .seq global matches 0885 run titleraw @s subtitle {"rawtext":[{"translate":"title.color.prefix"},{"translate":"subtitle.32.3k","with": ["\n"]}]}
execute if score .seq global matches 0885 run scoreboard players reset subtitle.32.3j
execute if score .seq global matches 0885 run scoreboard players set subtitle.32.3k sidebar.32.name 12344
execute if score .seq global matches 0885 run titleraw @s title {"rawtext":[{"text":" "}]}

# Dialogue 8
execute if score .seq global matches 0935 run scoreboard players set .run global 0
execute if score .seq global matches 0935 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.8a

# Activate Utility Box
execute if score .seq global matches 0936 run event entity @e[type=rwm:utility_box,tag=scene3] activate
execute if score .seq global matches 0936 run scoreboard players add .seq global 1

# OBJ: Interact with Utility Box
execute if score .seq global matches 0937 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.8","with": ["\n"]}]}
execute if score .seq global matches 0937 if score .slowcount global matches 1000 at @e[type=rwm:utility_box,tag=scene3,tag=box1] run particle rwm:interact ~ ~1.5 ~

# Open Utility Box
execute if score .seq global matches 0938 run scoreboard players set .run global 1
execute if score .seq global matches 0938 run event entity @e[type=rwm:utility_box,tag=scene3] deactivate
execute if score .seq global matches 0938 run event entity @e[type=rwm:utility_box,tag=scene3,c=1] open

# Get first code
execute if score .seq global matches 0971 run codebuilder navigate @s[tag=!python] true https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/scene3b
execute if score .seq global matches 0971 run codebuilder navigate @s[tag=python]  true https://notebooks.minecrafteduservices.com/everglade/ci/index.html?lesson=https://notebooks.minecrafteduservices.com/everglade/content/row/master/hoc2023/scene3b.json

# Dialogue 9
execute if score .seq global matches 0972 run scoreboard players set .run global 0
execute if score .seq global matches 0972 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.9a

# Close utility box + activate dumpster
execute if score .seq global matches 0973 run event entity @e[type=rwm:utility_box,tag=scene3] close
execute if score .seq global matches 0973 run event entity @e[tag=dumpster,tag=scene3] activate
execute if score .seq global matches 0973 run scoreboard players add .seq global 1

# OBJ: Interact with Dumpster
execute if score .seq global matches 0974 run titleraw @s[tag=!code.in_progress] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.9","with": ["\n"]}]}
execute if score .seq global matches 0974 if score .slowcount global matches 1000 at @e[type=rwm:dumpster,tag=scene3] run particle rwm:interact ~ ~2 ~-1

# Dialogue 10
execute if score .seq global matches 0975 run scoreboard objectives remove sidebar.32.name
execute if score .seq global matches 0975 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue,tag=!touch] agent3.32.10a.k
execute if score .seq global matches 0975 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue,tag=touch]  agent3.32.10a.t

# Reset activity (runs at the start, or whenever the activity fails)
execute if score .seq global matches 0976 run scoreboard players set .run global 0
execute if score .seq global matches 0976 run codebuilder navigate @s[tag=!python] false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/scene3
execute if score .seq global matches 0976 run codebuilder navigate @s[tag=python]  false https://notebooks.minecrafteduservices.com/everglade/ci/index.html?lesson=https://notebooks.minecrafteduservices.com/everglade/content/row/master/hoc2023/scene3.json
execute if score .seq global matches 0976 run scoreboard players set .output global 0
execute if score .seq global matches 0976 run scoreboard players set .seq2 global 0
execute if score .seq global matches 0976 run scoreboard players set .exit global 0
execute if score .seq global matches 0976 run event entity @e[type=rwm:utility_box,tag=scene3] activate
execute if score .seq global matches 0976 run scoreboard players add .seq global 1

# OBJ: Codebuilder Activity
execute if score .seq global matches 0977 run titleraw @s[tag=!code.in_progress,tag=!32.opened_box]           actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.10a","with": ["\n"]}]}
execute if score .seq global matches 0977 run titleraw @s[tag=!code.in_progress,tag=32.opened_box,tag=!touch] actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.10b.k","with": ["\n"]}]}
execute if score .seq global matches 0977 run titleraw @s[tag=!code.in_progress,tag=32.opened_box,tag=touch]  actionbar {"rawtext":[{"translate":"actionbar.color.prefix"},{"translate":"actionbar.32.10b.t","with": ["\n"]}]}
execute if score .seq global matches 0977 run function seq/32_activity
execute if score .seq global matches 0977 if score .slowcount global matches 1000 at @e[type=rwm:utility_box,tag=scene3,tag=box2] run particle rwm:interact ~ ~1.5 ~
execute if score .seq global matches 0977 as @e[type=rwm:utility_box,tag=scene3,scores={anim=0..}] run function seq/32_utility_open

# Exit code thrown, appropriate dialogue
execute if score .seq global matches 0978 run codebuilder runtime stop @s
execute if score .seq global matches 0978 unless score .exit global matches 1 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.code2
execute if score .seq global matches 0978 if score .exit global matches 1     run scoreboard players set .run global 1

# Reset codebuilder
execute if score .seq global matches 0979 run event entity @e[type=rwm:utility_box,tag=scene3] deactivate
execute if score .seq global matches 0979 run codebuilder navigate @s false https://minecraft.makecode.com/hoc2023?ipc=1&inGame=1&noRunOnX=1#tutorial:/hour-of-code/2023/no_code

# Dialogue 11
execute if score .seq global matches 0980 run scoreboard players set .run global 0
execute if score .seq global matches 0980 run dialogue open @e[family=dialogue,c=1,name=agent3] @s[tag=!dialogue] agent3.32.11a

# Summon the first bird + lock player cam
execute if score .seq global matches 0981 run scoreboard players set .run global 1
execute if score .seq global matches 0981 run tp 202 72 -520 -20 -10
execute if score .seq global matches 0981 run function cont_camera
execute if score .seq global matches 0981 run clear @s
execute if score .seq global matches 0981 positioned 204 72 -524 run summon rwm:robocrow ~~~ facing 203 73 -511 state4
execute if score .seq global matches 0981 positioned 204 72 -524 run event entity @e[r=0] trash
execute if score .seq global matches 0981 positioned 204 72 -524 run tag @e[r=0] add moving_bird3
execute if score .seq global matches 0981 positioned 204 72 -524 run tag @e[r=0] add scene3

# Victory cinematic (10 sec, but the animation goes until act change
execute if score .seq global matches 0982.. as @e[tag=moving_bird3] at @s run function seq/32_bird_route_3
execute if score .seq global matches 0982.. run event entity @e[type=rwm:trash_pile] despawn

# Cut to trash-free neighborhood
execute if score .seq global matches 1182 run tp 201 72 -523 140 0

# Next Act
execute if score .seq global matches 1242 run scoreboard players set .act global 41
execute if score .seq global matches 1242 run function loops/new_act