## Seq for 4-3

# Camera control
execute if score .seat global matches 1 run ride @s start_riding @e[tag=scene4cut,tag=seat1]
execute if score .seat global matches 2 run ride @s start_riding @e[tag=scene4cut,tag=seat2]
execute if score .seat global matches 3 run ride @s start_riding @e[tag=scene4cut,tag=seat3]

# Get rid of that darn skysphere once and for all
event entity @e[type=rwm:skysphere,r=100] despawn

# Fade out
execute if score .seq global matches 000 run scoreboard players set .seq2 global 0
execute if score .seq global matches 000 run scoreboard players add .seq global 1

execute if score .seq global matches 001 run function trans/fade_out

## Load scene4cut
execute if score .seq global matches 002 run fog @s remove heck
execute if score .seq global matches 002 run tp 154 72 -839 150 15
execute if score .seq global matches 002 run tickingarea remove_all
execute if score .seq global matches 002 run tickingarea add 144 69 -859 162 78 -838 scene4cut
execute if score .seq global matches 002 run schedule on_area_loaded add tickingarea scene4cut loops/continue
execute if score .seq global matches 002 run function cont_camera
execute if score .seq global matches 002 run scoreboard players set .seat global 1
execute if score .seq global matches 002 run scoreboard players add .seq global 1

# Reset area
execute if score .seq global matches 010 run function reset/scene4cut
execute if score .seq global matches 010 run time set 13000
execute if score .seq global matches 010 run event entity @e[tag=scene4cut,type=rwm:parent_1] salmon
execute if score .seq global matches 010 run event entity @e[tag=scene4cut,family=npc] emoji6

# Swap Dialogues
execute if score .seq global matches 020 run event entity @e[family=dialogue] despawn

# Fade in
execute if score .seq global matches 020 run function trans/fade_in

# Parent walks in
execute if score .seq global matches 040..065 as @e[type=rwm:parent_1] at @s run tp ~-.1 ~ ~ 90
execute if score .seq global matches 066..096 as @e[type=rwm:parent_1] at @s run tp ~ ~ ~.1 0
execute if score .seq global matches 097..120 as @e[type=rwm:parent_1] at @s run tp ~-.1 ~ ~ 90

# Parent places down food
execute if score .seq global matches 140 run event entity @e[tag=scene4cut,type=rwm:parent_1] none
execute if score .seq global matches 140 run event entity @e[tag=scene4cut,type=rwm:platter] salmon

execute if score .seq global matches 160 run scoreboard players set .seat global 2

execute if score .seq global matches 160..220 as @e[tag=scene4cut,tag=seat2] at @s run tp ~ ~ ~-.05

execute if score .seq global matches 240 run scoreboard players set .seat global 3

execute if score .seq global matches 260 run scoreboard players set .seat global 2
execute if score .seq global matches 260 as @e[tag=scene4cut,tag=seat3] at @s run tp ~1 ~ ~

execute if score .seq global matches 280 run scoreboard players set .seat global 3

execute if score .seq global matches 300 run scoreboard players set .seat global 2

execute if score .seq global matches 320 run scoreboard players set .seat global 1

execute if score .seq global matches 340 run event entity @e[tag=scene4cut,family=npc] emoji7
execute if score .seq global matches 340 run execute at @e[family=npc] run playsound mob.villager.yes @s ~~~ 1 1 1

execute if score .seq global matches 360 run event entity @e[tag=scene4cut,type=rwm:parent_1] sit
execute if score .seq global matches 360 as @e[tag=scene4cut,type=rwm:parent_1] at @s run ride @s start_riding @e[type=rwm:porch_chair,c=1]

# Next act
execute if score .seq global matches 420 run scoreboard players set .act global 51
execute if score .seq global matches 420 run function loops/new_act